pgAdmin III Changelog
=====================

Notes
-----

This is the pgAdmin III changelog. Items are marked with the initials of the
developer responsible for them, and the version of pgAdmin that the change
will first appear in. For convenience, changes during Beta and RC phases may
include an RCx or Bx suffix on the version number, but for simplicity these
will not normally be retained.

A name in square braces [Joe Bloggs] indicates that the change was written by
Joe. The initialed developer was responsible for reviewing the changes in these
cases.

Names shown as "per Joe Bloggs", indicate that Joe reported the problem and may
have provided help debugging it, but did not actually provide the change.

Key to developers
-----------------

- DP   Dave Page
- AP   Andreas Pflug
- JMP  Jean-Michel Poure
- HS   Hiroshi Saito
- AHP  Adam H. Pendleton
- MP   Marc Persuy
- DAP  Darko Prenosil
- FGP  Florian G. Pflug
- MH   Magnus Hagander
- GL   Guillaume Lelarge
- AV   Ashesh Vashi

Changes
-------

Date       Dev Ver     Change details
---------- --- ------  --------------
2016-02-08 DP  1.22.1  Don't barf when connecting to Greenplum or Greenplum 
                       HAWQ [Andreas 'ads' Scherbaum]
2016-02-01 DP  1.22.1  Fix selection of conversion functions in the CREATE
                       CONVERSION dialogue [Dmitry Voronin]
2016-02-01 DP  1.22.1  Properly quote type names in the Type dialogue, and 
                       ensure range information is displayed for existing 
                       types [Akshay Joshi]
2016-01-19 DP  1.22.1  Fix selection of cast functions in the Cast dialogue
                       [Sanket Mehta]
2016-01-04 AV  1.22.0  Resolved an issue related to check options selection in
                       the view properties dialog with the check option.
                       [Reported by: Sebastian Albert, Patched by: Neel Patel]
2015-12-08 AV  1.22.0  Merged the libssh2 to the latest version.
                       [Akshay Joshi]
2015-11-19 DP  1.22.0  Properly detect serial columns as such when 
                       identifiers have been truncated.
2015-10-23 AV  1.22.0  Fixes an issue related to the column inheritance
                       information properly, when one (or, more) common columns
                       are inherited from multiple tables.
                       [Reported by: Liu Yuanyuan, Patched by: Akshay Joshi]
2015-10-12 AV  1.22.0  Ensure the correct syntax used for moving the objects
                       from one tablespace to another. [Sanket Mehta]
2015-10-07 DP  1.22.0  Ensure the correct line endings are used when copying
                       from the SQL Pane [Nikolai Zhubr]
2015-09-25 AV  1.22.0  Toolbar icons, and menu items for Commit and Rollback
                       actions.  [John Obaterspok]
2015-09-24 DP  1.22.0  Display the connection details for the current browser
                       object in the status bar [Adam Scott]
2015-09-21 AV  1.22.0  Fixed an issue related to different menus enabling in
                       the Query Tool on Ubunutu unity.
                       [Reported by: Vahdet Mert]
2015-09-21 AV  1.22.0  Reset the position (x, y) for dialog(s), and frame(s) to
                       0 (if found negative), while saving its position and
                       size. [Reported By: Mark, Patch: Sanket Mehta,
                       Reworked, and Reviewed: Ashesh]
2015-09-21 AV  1.22.0  Fixes an issue identifying the return type to TABLE in
                       some cases, using pg_get_function_result(..) for the
                       same instead of format_type(..)
                       [Reported By: Guillermo E. Villanueva,
                       PATCH:Sanket Mehta]
2015-09-21 AV  1.22.0  Honour PGPASSFILE environment variable for saving,
                       retrieving the password instead of always works with
                       pgpass.conf (on windows)/.pgpass (on non-windows)
                       [PATCH: Prasad Somwanshi, Reworked by: Sanket Mehta,
                       Reviewed by: Ashesh Vashi, Sanket Mehta]
2015-09-14 AV  1.22.0  Fix a segfault occurs while detecting transaction
                       section requirement, when autocommit has been disabled.
                       [Reported by John Obaterspok, Patch by Sanket Mehta]
2015-09-14 AV  1.22.0  Format execution time in a more readable manner
                       [John Obaterspok]
2015-07-27 AV  1.22.0  Improve sorting in Data editor
                       [J. F. Oster, Reviewed by Sanket Mehta]
2015-07-27 AV  1.22.0  Allow to format the selecte SQL using external tools
                       in Query Editor [J. F. Oster]
2015-05-22 AV  1.22.0  Allow to set auto-commit mode to on/off in the query
                       editor [Sanket Mehta]
2015-04-22 AV  1.20.1  Do not try unlock the mutex, which was not owned by the
                       thread, while creating the popup menu [Wander Nauta]
2015-04-20 AV  1.22.0  Set the focus on browser tree windows on startup
                       [J.F. Oster]
2015-03-10 AV  1.22.0  Make the arrow key navigation consistent across all
                       platform on the object browser tree [Prasad]
2015-03-10 AV  1.22.0  Show indexes for the materialized views in Query pane
                       [Dmitriy Olshevskiy]
2015-03-10 AV  1.22.0  Add support for searching materialized views in the
                       "Search Objects" dialog [Dmitriy Olshevskiy]
2015-03-10 AV  1.20.1  Resolved an assertion error during opening the popup
                       menu for plugins on wxWidgets 3.0 [Prasad]
2015-02-25 DP  1.21.0  Ensure the OK button is enabled on the Add Server dialog
                       following a connection failure [Prasad]
2014-11-28 AV  1.20.0  Resolving the inconsistency of preservation of modified
                       information of the columns, while adding/editing a table
                       from the table dialog [Reported by Jasmine Liu, Patch
                       from Sanket Mehta, and reviewed by Akshay Joshi and me]
2014-11-22 GL  1.20.0  Add missing nodes to graphical explain plan [J.F. Oster]
2014-11-03 AV  1.20.0  Fix the Resource Groups dialog - separated the
                       statements, which can not be ran in single transaction
                       [Akshay Joshi]
2014-10-28 AV  1.20.0  Support for Slony-I 2.2+ with PostgreSQL 9.3+
                       [Neel Patel, Akshay Joshi, Sanket Mehta, Ashesh Vashi]
2014-10-28 AV  1.20.0  Support smallserial columns in Edit Data Window
                       [J.F. Oster]
2014-10-28 AV  1.20.0  Restore the user specified size on the grid (which
                       contains the result) in Query windows to fix an issue
                       related to the column size is too narrow on subsequent
                       Explain execution [J.F. Oster]
2014-10-28 AV  1.20.0  Empty the Undo/Redo history everytime new file is opened
                       [J.F. Oster]
2014-10-28 AV  1.20.0  Added accelerator F8 for 'Execute to file' in the Query
                       window [Mads Jensen]
2014-10-28 AV  1.20.0  Beautify the query shown in the SQL pane for the
                       functions having multiple arguments by adding new lines
                       with small modification by me [J.F. Oster]
2014-10-13 AV  1.20.0  Check for the columnlist for the UPDATE OF syntax on
                       trigger also works with PPAS 9.5+ [Sanket Mehta]
2014-09-27 AV  1.20.0  Proper saving of columns width in the server status
                       window [Dmitriy Olshevskiy]
2014-09-19 DP  1.20.0  Fix support for triggers with inline code on PPAS
                       [Sanket Mehta]
2014-08-09 AV  1.20.0  CHECK OPTION is applicable to the views only, and not
                       the materialized views
2014-08-09 GL  1.20.0  Prevent a crash during the update of the macro or
                       favourite list [Dmitriy Olshevskiy]
2014-07-20 AV  1.20.0  Allow quick injectection of favourites by name
                       [J.F. Oster]
2014-07-20 AV  1.20.0  Fix handling of saving macros after pasting a query in
                       the box [Dmitriy Olshevskiy]
2014-07-14 GL  1.18.2  Fix SQL for GRANT on a sequence. Report from
                       liuyuanyuan.
2014-07-03 DP  1.20.0  Fix handling of char()[] columns in the Edit Grid
                       [Dmitriy Olshevskiy]
2014-07-02 GL  1.20.0  Support the new check_option parameter of views
2014-07-02 GL  1.20.0  Handle the 9.4 MOVE clause of ALTER TABLESPACE
2014-07-02 GL  1.20.0  Add a new action menu to refresh a materialized view
2014-07-02 GL  1.20.0  Support the new 9.4 columns in pg_stat_activity
2014-06-27 DP  1.20.0  Save search options for next time [Dimitriy Olshevskiy]
2014-06-25 DP  1.20.0  Ensure Favourite queries are only saved when the OK
                       button is pressed [Dmitriy Olshevskiy]
2014-06-18 DP  1.20.0  Fix an issue refreshing functions in PPAS packages
                       [Akshay Joshi]
2014-06-18 DP  1.20.0  Improve handling of lost connections [Ashesh Vashi]
2014-06-12 DP  1.20.0  Allow searching for database objects by comment and
                       definition content [J.F. Oster]
2014-06-10 DP  1.20.0  Add support for Resource Groups in PPAS 9.4 [Akshay
                       Joshi]
2014-06-07 DP  1.20.0  Add Save and Exit shortcut keys to the edit grid
                       [Fredrik de Vibe]
2014-05-28 DP  1.18.2  Fix escape handling in pgpass files [Akshay Joshi]
2014-05-04 GL  1.18.2  GQB forgot the materialized views. Report from Eduard
                       Szöcs.
2014-02-13 AV  1.20.0  Enable backward search in SQL Box using Shift + F3
                       [J.F. Oster]
2014-03-07 AV  1.18.2  Don't set log_min_messages from the debugger
2014-03-07 AV  1.18.2  Fix a crash on OSX when run explain through shortcut in
                       query editor, when mouse is over a existing shape, and
                       popup, showing the step information, is on. Report from
                       Attila Soki
2014-02-26 AV  1.18.2  Using the GetOid() function instead of GetLong() for
                       Oid columns [Ian Barwick]
2014-02-13 DP  1.20.0  Allow more flexible selection/deselection of rows and
                       columns in Edit Grid [J.F. Oster]
2014-02-12 GL  1.20.0  Allow more options with the plain backup.
2014-02-11 DP  1.18.2  Fix SQL comments for inherited columns [J.F. Oster].
2014-01-27 AV  1.18.2  Flush the changes in the settings as soon as new server
                       is added [Kaarel Moppel]
2014-01-27 DP  1.18.2  Don't include obsolete config settings from <= 8.3 in the
                       config editor unless running on an appropriate server.
                       [Neel Patel].
2013-12-16 DP  1.20.0  Use a much smarter auto-sizing algorithm for the columns
                       in the Query Tool output grid [J.F. Oster].
2013-12-06 DP  1.20.0  Remember the last panel used on the Options dialogue,
                       and display the default panel if a group node is 
                       selected on the tree [J.F. Oster]
2013-12-06 DP  1.18.2  Ensure the Type dialogue detects name changes [Timon].
2013-12-06 DP  1.18.2  Ensure report titles don't overflow the page width
                       [Dhiraj Chawla]
2013-11-25 DP  1.18.2  Ensure reports overflow the page width properly [Akshay
                       Joshi]
2013-11-20 DP  1.18.2  Add missing "port" option for SSH tunnels [Akshay Joshi].
2013-11-18 AV  1.18.2  Set 32bit PostgreSQL, EnterpriseDB PATH (in case - 64bit
                       respective applications not found, and 32bit(s) are
                       available) for 64bit pgAdmin III [Dinesh Kumar].
2013-10-22 AV  1.18.2  Improved the debugger to work better with PPAS <= 9.2
2013-10-22 DP  1.18.2  Fix the handling of the "Valid Until" date/time on the
                       role dialogue on Mac [Dinesh Kumar].
2013-10-13 GL  1.20.0  Allow parallel dump with -j starting with 9.3
2013-09-29 GL  1.18.1  Allow the dump of pg<something> schemas.
2013-09-26 DP  1.18.1  Prevent a crash on Windows when dropping a column or a
                       constraint on a table [Dhiraj Chawla]
2013-09-26 DP  1.18.1  Ensure DDLScript will work with Slony 2.2+ which has a
                       new SQL level API [Neel Patel]
2013-09-26 DP  1.18.1  Fix ordering of object types in the display options and
                       add Event Triggers which were missing [Dhiraj Chawla].
2013-09-21 AV  1.18.1  Ensure the debugger can cope with functions that have an
                       OUT parameter as the first.
2013-09-19 DP  1.18.1  Fix the quoting of user mapping objects [Dinesh Kumar]
2013-09-19 DP  1.18.1  Ensure that materialised views are available as targets
                       for synonyms [Neel Patel]
2013-09-19 DP  1.18.1  Fix the query used to find tables in a Slony 
                       replication set [Neel Patel]
2013-09-11 DP  1.18.1  Prevent a crash if a user starts an external process
                       such as a backup, and then immediately hits cancel
                       [Neel Patel].
2013-09-06 DP  1.18.1  Fix a memory leak in the Event Trigger code [Dinesh
                       Kumar].
2013-08-20 AV  1.18.0  Fix a layout bug in the graphical explain renderer that
                       could render nodes on top of each other.
2013-08-06 DP  1.18.0  Fix Slony's DDL Script support [Akshay Joshi].
2013-07-26 DP  1.18.0  Add support for Event Triggers in 9.3+ [Dinesh Kumar].
2013-07-22 DP  1.18.0  Avoid using a Help cache file that needs to be world
                       writeable, and ensure sed is happy when post-processing
                       helpfiles.
2013-07-22 DP  1.18.0  Fix the help path on the import dialogue and improve the
                       error handling [Akshay Joshi].
2013-07-22 DP  1.18.0  Fix path the the Search Objects help doc [Dhiraj Chawla].
2013-07-18 GL  1.18.0  Fix UTF-8 display for guru hints [Marek Cernocky].
2013-07-08 DP  1.18.0  Prevent a crash when creating a stored procedure in 
                       PPAS [Dinesh Kumar].
2013-06-19 GL  1.18.0  Disable the Favourites menu items if there is no
                       favourites file path (per a comment from Michael Shapiro).
2013-06-18 GL  1.18.0  Make No the default button on the Truncate confirmation
                       dialog (per request from Humberto Cereser Ibanez).
2013-06-18 DP  1.18.0  Support Materialized Views [Neel Patel].
2013-06-07 DP  1.18.0  Avoid a possible crash on Linux when using the 
                       "Script" options of the Query Tool [aditsu].
2013-05-26 DP  1.18.0  Fix comments on constraints [Thom Brown].
2013-05-26 DP  1.18.0  Fix schema prefixes in cast definitions in the browser.
2013-05-26 DP  1.18.0  Treat sequences as first class objects in the Grant
                       Wizard. Support USAGE and remove obsolete RULE 
                       permissions [Dhiraj Chawla].
2013-05-26 DP  1.18.0  Set the default backup type to "Custom".
2013-05-21 DP  1.18.0  Improve the copy handling on the Edit Grid so that
                       it works more consistently and predictably.
2013-05-20 DP  1.18.0  Fix comments on columns.
2013-05-20 DP  1.18.0  Remove the "Apply" buttons from the function, view
                       package and external table dialogues. Their use is
                       discouraged, and the code is fragile, complex and 
                       very buggy.
2013-05-20 DP  1.18.0  Fix a crash that could occur if the browser fails to 
                       detect that an object has been changed by another
                       session.
2013-05-17 DP  1.18.0  Change the default SQL box font to a slightly smaller
                       size on GTK based platforms.
2013-05-17 DP  1.18.0  Don't prompt the user for a password if they're using
                       a client certificate.
2013-05-17 DP  1.18.0  Ensure global backups use the mintenance database to 
                       avoid access issue with postgres or template1.
2013-05-17 DP  1.18.0  Fix SSL certificate authentication.
2013-05-08 DP  1.18.0  Fix renaming and schema changes for stored procedures
                       in PPAS [Dinesh Kumar].
2013-05-02 DP  1.18.0  Add SSH tunnelling support to allow connections to be
                       made to hosts via an SSH server [Akshay Joshi].
2013-05-02 DP  1.18.0  Display the index validity in the properties list for
                       indexes and index-based constraints [Gabrielle Roth].
2013-04-29 DP  1.18.0  Add an option to include column headers when copying 
                       from the query tool results [Jasmin Dizdarevic].
2013-04-29 DP  1.18.0  Allow the decimal mark displayed by the query tool to be
                       configured as the thousands separator can [Jasmin 
                       Dizdarevic].
2013-04-25 DP  1.18.0  Ensure the Query Tool's maximum column length setting
                       is honoured.
2013-04-22 DP  1.18.0  Handle default privileges to PUBLIC correctly. [Dhiraj
                       Chawla].
2013-03-24 GL  1.18.0  Add tab option in the Import dialog. Per a request from
                       Jeff Janes.
2013-03-17 GL  1.18.0  Add smallserial handling. Per a request from Matthew
                       Syphus.
2013-03-01 DP  1.18.0  Fix the editing of pg_hba.conf files [Dhiraj Chawla].
2013-02-25 DP  1.18.0  Fix the display of extension owner names.
2013-02-23 GL  1.18.0  Add a title to the backup and restore windows. Per
                       request from Bastiaan Olij.
2013-02-22 DP  1.18.0  Fix a bug that could cause a NOTICE to be displayed
                       when rendering FTS Configurations in the tree.
2013-02-07 DP  1.18.0  Don't try to display dependents or dependencies for 
                       pgAgent jobs, schedules or steps.
2013-02-06 DP  1.18.0  Fix the handling of expiry times when modifying roles.
2013-02-04 DP  1.18.0  Prevent foreign keys being recreated unnecessarily when
                       modifying tables [Michael Banck]
2013-01-24 DP  1.18.0  Prevent Cmd+S adding characters to the Query Tool when
                       the Save button is disabled.
2013-01-18 DP  1.18.0  Fix handling of Greenplum partitions [Lubomir Petrov]
2013-01-06 GL  1.18.0  Add -V/--version CLI option.
2013-01-06 GL  1.18.0  Add actions menu to the serverstatus tool.
2013-01-06 GL  1.18.0  Fix the database SQL when reseting a configuration
                       parameter. Per a report from Bartosz Dmytrak.
2013-01-04 GL  1.18.0  Refresh the toolbar buttons when a list has been
                       updated. Per a report from Evan Martin.
2013-01-04 GL  1.18.0  Fix the "NO INHERIT" query. Report from Thomas Joseph.
2012-12-24 GL  1.18.0  Display default privs. Report from Nathan Alden.
2012-12-24 GL  1.18.0  Sort references by schema name and relation name in
                       dlgForeignKey. Report from Michal Kozusznik.
2012-12-24 GL  1.18.0  Fix the change of the superuser attribute. Report from
                       Michal Kozusznik.
2012-12-18 DP  1.18.0  Prevent a crash when using Cmd-A on a file loaded into
                       the Query Tool when opened with Cmd-E on Mac.
2012-12-07 DP  1.18.0  Fix the queries used to get object comments to allow 
                       for duplicate OIDs that may be present following use
                       of pg_upgrade.
2012-12-03 DP  1.16.1  Prevent a crash that could happen if further changes
                       were made on a dialogue after using the Apply button.
                       [Akshay Joshi]
2012-11-29 GL  1.16.1  Save new comments on already existing columns when
                       editing a table. Per a report from Jeff Janes.
2012-11-29 GL  1.16.1  Fix the query editor behaviour when executing COPY TO
                       stdout and COPY FROM stdin [Heikki Linnakangas]
2012-11-28 AV  1.16.1  Date picker controls returns a full timestamp by 
                       default, which can cause inadvertent date changes
                       on jobs and role validty dates. Ignore the time part.
2012-11-26 MH  1.16.1  Fix query for database descriptions
2012-11-15 DP  1.16.1  Avoid querying the catalogs for toast table settings
                       for every table in the database. This gives a huge
                       performance gain with large schemas.
2012-11-08 DP  1.16.1  Prevent a crash when refreshing a node which has a
                       child with an open dialogue [Dhiraj Chawla]
2012-11-08 DP  1.16.1  Fix dropping/renaming of indexes [Akshay Joshi]
2012-11-08 DP  1.16.1  Avoid updating the GQB model on every key press in
                       the query tool [Dhiraj Chawla]
2012-11-02 DP  1.16.1  Fix a crash that can occur when renaming objects.
                       [Ashesh Vashi/Sachin Srivastava]
2012-11-01 DP  1.16.1  Fix dropping of constraints [Akshay Joshi]
2012-10-31 DP  1.16.1  Fix the "blocked by" column in the server status
                       dialogue on 9.2 servers [Sachin Srivastava]
2012-10-11 DP  1.16.1  Prevent a crash if the query tool is closed whilst a
                       file is loading [Akshay Joshi]
2012-10-09 AV  1.16.1  Fix setting of comments on PPAS procedures.
2012-10-08 DP  1.16.1  Don't autosize the search results columns if no
                       results are found [Akshay Joshi]
2012-10-08 AV  1.16.1  Prevent a crash if opening a second config file in 
                       the editor.
2012-10-08 DP  1.16.1  Prevent the SSL options combo box displaying
                       duplicate options if the server dialogue is 
                       reopened [Akshay Joshi]
2012-09-14 GL  1.16.1  Fix trigger query when connected to PostgreSQL 8.2 or
                       lower, per a report from Jon Roberts.
2012-09-12 GL  1.16.1  Fix message when executing an empty query, per Marc
                       Mamin.
2012-09-06 DP  1.18.0  Detect serial/bigserial columns from pg_depend, rather
                       than guessing [Quan Zongliang].
2012-09-05 DP  1.18.0  Display the next expected value for a sequence in the
                       property list [Quan Zongliang].
2012-07-11 MH  1.18.0  Add optional thousands separator to the query tool
                       results grid.
2012-07-11 MH  1.18.0  Right-justify numeric values in the query tool results
2012-06-19 GL  1.14.4  Fix constraint triggers SQL, per multiple complaints.
2012-05-08 GL  1.16.0  Add privilege support on aggregates.
2012-05-07 GL  1.14.3  Don't reset breakpoints when folding code [Heikki
                       Linnakangas].
2012-05-07 GL  1.14.3  Fix crashes by limiting the size of explainPopup.
2012-05-05 GL  1.16.0  Add inline function support on languages.
2012-05-01 GL  1.14.3  Various fixes on indexes, per Colin Beckingham.
2012-04-30 GL  1.14.3  Fix constraint triggers SQL, per Michael Brux.
2012-04-29 GL  1.16.0  Add support for range types.
2012-04-28 GL  1.16.0  Add support for setting db/user config on dlgRole.
2012-04-26 DP  1.14.3  Fix line offsets in the debugger when used with 9.1
                       servers [Heikki Linnakangas].
2012-04-24 DP  1.14.3  Fix domains over array types [Thom Brown].
2012-04-18 GL  1.14.3  Fix SQL query to get types for function return and
                       arguments. Per a report from Erwin Brandstetter.
2012-04-17 GL  1.14.3  Fix RE of options in foreign tables. Report from Regina.
2012-04-16 AV  1.14.3  Fix handling of parameter handling for edbspl functions
                       and package procedures/functions.
2012-04-10 AV  1.14.3  Fix server reconnect option when the browser becomes
                       disconnected from the server.
2012-04-08 GL  1.16.0  Move references table textbox to the third tab in
                       dlgForeignKey. Per request from Colin Beckingham.
2012-04-05 GL  1.16.0  Support for the new two columns in 9.2 pg_stat_database
2012-04-04 GL  1.14.3  Fix the SQL when adding a new index without a name,
                       but with a comment or a CLUSTER. Per report from
                       Bartosz Dmytrak.
2012-03-23 GL  1.14.3  Fix the reverse-engineered SQL for SQL/MED server. Per
                       report from Bartosz Dmytrak.
2012-03-20 GL  1.14.3  Drop autovacuum ANALYZE parameters for TOAST tables.
                       Per report from Bartosz Dmytrak.
2012-03-18 GL  1.14.3  Fix deleting lines in frmEditGrid with 64bit systems
                       [Steven Elliott]
2012-03-13 GL  1.14.3  Fix the reverse-engineered SQL of an operator. Per
                       report from Bartosz Dmytrak.
2012-03-13 DP  1.14.3  Fix handling of DEFAULT ACLs in the restore dialog
                       [Dharmendra Goyal]
2012-03-12 GL  1.16.0  Support for renaming constraints (9.2).
2012-03-10 GL  1.14.3  Fix the restore of a window position when using
                       multiscreen. Per report from Steffen Decker.
2012-03-10 GL  1.14.3  Fix the SQL when a user changes a trigger. Per report
                       from Bartosz Dmytrak.
2012-03-06 GL  1.14.3  Make sure that queries use LIKE with _ escaped.
2012-03-06 GL  1.14.3  Fix enabling the OK button of the view dialog. Per
                       report from Colin Beckingham.
2012-03-05 GL  1.14.3  Fix the trigger SQL. Per report from Attila.
2012-03-02 GL  1.16.0  Fix wxWidgets 2.9 compatibility with pgAdmin on Linux
                       [Akshay Joshi].
2012-03-01 GL  1.14.3  Another fix on the autovacuum widgets in the table
                       dialog. Report from Bartosz Dmytrak.
2012-02-29 GL  1.14.3  Fix setting the connection for pgScript, per report
                       from Charles Gutjahr.
2012-02-28 GL  1.14.3  Extensions have no owner. Per report from James B.
                       Byrne.
2012-02-28 GL  1.14.3  Fix the handling of empty strings in the histoqueries
                       file. Per report from Bartosz Dmytrak.
2012-02-23 GL  1.16.0  New import tool.
2012-02-21 GL  1.14.2  Fix the SQL for existing triggers, per report from
                       Bartosz Dmytrak.
2012-02-21 GL  1.14.2  Fix the SQL for existing extensions.
2012-02-20 GL  1.14.2  Correctly save the position of a pgDialog.
2012-02-19 GL  1.14.2  Fix the copy of a query when application_name is unset.
2012-02-19 GL  1.14.2  Fix query handling on the frmStatus window,
                       per report from Aren Cambre.
2012-02-16 GL  1.14.2  Record a password in .pgpass only if not empty.
                       Per complaint from Michael Shapiro, and Vik Reykja.
2012-02-15 GL  1.16.0  Support for the LEAKPROOF option in functions.
2012-02-13 GL  1.14.2  Fix the reverse-engineered SQL for types.
2012-02-13 GL  1.16.0  Support ANALYZE, CATEGORY, and PREFERED items for
                       CREATE TYPE statement.
2012-02-11 GL  1.16.0  Support CREATE TABLE LIKE.
2012-02-11 GL  1.14.2  Fix dlgType minimum size.
2012-02-11 GL  1.14.2  Fix enabling/disabling trigger with the trigger
                       contextual menu. Report from Bartosz Dmytrak.
2012-02-09 GL  1.16.0  Support for the new TIMING option in EXPLAIN ANALYZE.
2012-02-09 GL  1.14.2  Fix the autovacuum widgets in the table dialog when
                       using a language other than english. Report from
                       Bartek.
2012-02-06 GL  1.14.2  Highlight the log pane widgets at the frmStatus startup.
2012-01-26 GL  1.16.0  Support for the new three columns in 9.2 pg_stat_database
2012-01-22 GL  1.16.0  Use date_trunc to skip the microseconds part of all
                       timestamp fields in frmStatus.
2012-01-22 GL  1.16.0  Support new/changed pg_stat_activity fields.
2012-01-18 DP  1.14.2  Ensure job steps and schedules are listed properly
                       on the Job dialogue, and avoid defaulting empty
                       end dates to today on the schedule dialogue.
2012-01-13 DP  1.14.2  Fix the default column widths of the list controls
                       on the main window on Linux [Dhiraj Chawla]
2012-01-13 DP  1.14.2  Increase the size of the label on the password
                       dialog to avoid text being obscured with longer
                       server descriptions [Dharmendra Goyal]
2012-01-11 DP  1.14.2  Fix the "drop object?" warning on Slony objects and
                       PPAS synonyms [Dhiraj Chawla].
2012-01-10 DP  1.14.2  Fix comment modification on Slony Clusters [Akshay
                       Joshi]
2012-01-08 GL  1.16.0  Allow renaming a domain.
2012-01-07 GL  1.16.0  Add subitems to the schemas and catalogs in GQB.
                       Request from Colin Beckingham.
2012-01-07 GL  1.14.2  Fix loss of column changes through table properties
                       when re-editing. Report from Thom Brown.
2012-01-07 GL  1.14.2  Show columns' variable in the SQL pane of a table.
                       Report from Thom Brown.
2012-01-06 GL  1.14.2  Fix the refresh on frmMain. Per report from Bartek.
2012-01-05 GL  1.16.0  Support for privileges on types.
2012-01-05 GL  1.16.0  Support section options for pg_dump/pg_restore.
2012-01-04 GL  1.14.2  Fix the constraint trigger query.
2012-01-03 GL  1.16.0  Add security_barrier option handling for views.
2011-12-19 DP  1.16.0  Add an "New Folder" button to the "Add Favourite" dialog
                       in the query tool [Dhiraj Chawla]
2011-12-13 GL  1.14.2  Allow SSL use.
2011-12-12 GL  1.16.0  Support for the new sslcompression connection option.
2011-12-11 GL  1.16.0  Add renaming of FDW and Server objects.
2011-12-10 GL  1.14.2  Fix reading the histoquery file because of wrong file.
2011-12-10 GL  1.16.0  Support for TRUNCATE permission
2011-12-10 GL  1.14.2  Fix constraints handling on the table properties
                       dialog, per report from Vjacheslav Vjacheslav.
2011-12-06 DP  1.14.2  Avoid crashing when working with objects with % in the
                       name.
2011-12-04 GL  1.14.2  Fix VARIADIC handling with DEFAULT value, per
                       report from Regina.
2011-12-04 GL  1.14.2  Fix DEFAULT clause handling in ALTER FUNCTION, per
                       report from Regina.
2011-12-04 GL  1.14.2  Fix compilation on Debian Sid, per report from
                       Philippe Rimbault, and Gerfried Fuchs.
2011-12-02 AV  1.14.2  Fix handling of EXTENSIONs in the restore dialogue.
2011-11-03 GL  1.14.1  Fix cache type lookup. Per report from Boris Pezzati.
2011-10-28 GL  1.14.1  Fix constraint trigger definition, per report from Erika.
2011-10-24 GL  1.14.1  Set correctly focus on the browser when connection is
                       done. Per report from Henry Drexler.
2011-10-24 GL  1.14.1  Foreign table's columns weren't quoted. Report from
                       Pasman Pasmanski.
2011-10-24 GL  1.14.1  Rows in Query Output pane fail to grow in height when 
                       font size preference size is larger. Report from Basil
                       Bourque.
2011-09-19 GL  1.14.1  Fix the removing of an inherited table.
                       Report from Pasman Pasmanski.
2011-09-12 GL  1.14.1  Fix backup of shared objects, and of all databases.
                       Report from Adrian Heath.
2011-09-10 GL  1.14.1  Fix dropping a constraint in the table properties dialog.
                       [P Gouv]
2011-09-10 GL  1.16.0  Reverse engineering in the database designer.
                       Patch from Luis Ochoa with some fixes by me.
2011-09-08 DP  1.14.0  Fix pasting in the Edit Grid to avoid tacking garbage
                       onto the end of the last cell if too many fields are
                       pasted [Robins Tharakan].
2011-09-04 GL  1.16.0  Highlight the other brace even if the current one is
                       before the caret (request from Andreas).
2011-08-24 DP  1.16.0  Add options to refresh objects automatically when 
                       clicked [Vinicius Santos]
2011-08-15 GL  1.16.0  Redesign frmOptions.
2011-08-11 GL  1.16.0  Prevents dropping connection, dropping or refreshing
                       object when a properties dialog is open.
2011-08-11 GL  1.16.0  Support for multimodels diagram in the database
                       designer. Patch from Luis Ochoa with some fixes by me.
2011-08-07 GL  1.16.0  Implement enable/disable save button, on text change.
                       Patch from Vinicius Santos.
2011-07-25 GL  1.16.0  Change doc build system.
2011-07-25 GL  1.16.0  Support for security labels on global/shared objects
                       (9.2 feature).
2011-07-25 GL  1.16.0  Support for security labels on local objects (9.1
                       feature).
2011-07-25 GL  1.16.0  Support for non valid domains, and check constraints
                       (9.2 feature).
2011-07-25 GL  1.16.0  Add load/save support for the Database Designer. Patch
                       from Luis Ochoa.
2011-07-09 GL  1.16.0  Allow change of schema in the UI. Patch from Thom
                       Brown.
2011-07-05 GL  1.16.0  Add "Search Objects" dialog. Patch from Jasmin Dizdarevic.
2011-07-03 GL  1.16.0  New maintenance action: CLUSTER. Patch from Thom Brown.
2011-07-02 GL  1.16.0  Enable "Has OIDs" on 8.4+ even when the table is
                       already created. Patch from Thom Brown.
2011-06-27 GL  1.16.0  Add Database Designer. Patch from Luis Ochoa.
2011-06-23 MH  1.14.0  Rename "Replication" node and menu to
                       "Slony Replication", and "Use Replication" to
                       "Use Slony".
2011-06-23 DP  1.16.0  Allow change of the fill factor. Patch from Thom Brown.
2011-05-04 MH  1.12.4  Properly show blocked processes when the lock is on
                       transactionid, and show -1 if it's blocking but we
                       can't figure out what it's blocking on.
2011-05-03 GL  1.14.0  Ask to reset connection in the query tool.
2011-04-30 GL  1.12.4  Fix permissions SQL when one role's name is the
                       beginning of another role's name. Report from Erwin
                       Brandstetter.
2011-04-17 GL  1.12.4  Show indexes only once in the Statistics tab. Patch
                       from Timon.
2011-04-11 GL  1.14.0  Handles 800x600 screens.
2011-04-11 GL  1.14.0  Add support for the per-column collation feature of
                       PostgreSQL 9.1.
2011-04-11 GL  1.14.0  Handles the service connection parameter (related to
                       pg_service.conf file).
2011-04-11 GL  1.14.0  Handles the hostaddr connection parameter.
2011-03-30 GL  1.14.0  Add support for Foreign Table object.
2011-03-30 GL  1.14.0  Add support for User Mapping object.
2011-03-30 GL  1.14.0  Add support for extension object.
2011-03-30 GL  1.14.0  Add support for ALTER TABLE ADD UNIQUE/PKEY USING INDEX
                       new syntax.
2011-03-29 GL  1.12.3  Fix setting of parameters in frmStatus.
2011-03-24 GL  1.14.0  Add support of constraint trigger.
2011-03-23 GL  1.14.0  Add support for Foreign Server object.
2011-03-15 GL  1.14.0  Add support of the new named restore point feature in
                       9.1.
2011-03-15 GL  1.14.0  Add support of the new basic recovery functions.
2011-03-15 GL  1.14.0  Add support of the new column (client_hostname) in
                       pg_stat_activity.
2011-03-15 GL  1.14.0  Add support of directory backup and restore.
2011-03-12 GL  1.12.3  Fix selection of objects in the backup/restore dialogs.
                       Report from Melvin Davidson.
2011-03-12 GL  1.12.3  Fix backup of a single table. Report from Vladimir
                       Kokovic.
2011-03-07 GL  1.14.0  Add support for Foreign Data Wrapper object.
2011-03-07 GL  1.14.0  Add support for invalid foreign key constraints (9.1).
2011-03-07 GL  1.14.0  Disabled rules are displayed with another icon.
2011-03-07 GL  1.14.0  Disabled triggers are displayed with another icon.
                       Idea from Erika.
2011-03-06 DP  1.12.3  Fix PPAS package support for 9.0 [Nikhil S].
2011-02-28 DP  1.12.3  Correctly identify the sys and dbo catalogs on PPAS
                       [Nikhil S].
2011-02-23 DP  1.12.3  Fix debugger support for PPAS 9.0 [Nikhil S].
2011-02-16 DP  1.14.0  Use function parameter default values as defaults in
                       the debugger.
2011-02-12 GL  1.12.3  Fix memory leak in the server status window. Report
                       from Julius Tuskenis.
2011-02-10 GL  1.14.0  Add the statistics reset information on databases.
2011-02-10 GL  1.14.0  Add three more informations from pg_stat_replication.
2011-02-10 GL  1.12.3  Fix the collate and ctype combobox so that a user can
                       type the collation and character type he wants.
2011-02-10 DP  1.12.3  Fix a datatype issue with a query on EDB Advanced Server
                       [Nikhil S].
2011-02-04 DP  1.12.3  Set a default schema on the default privileges tab, for
                       consistency with the privileges tab [Nikhil S].
2011-02-04 DP  1.12.3  Fix support for synonyms on functions and procedures in
                       EDB Advanced Server [Nikhil S].
2011-01-31 DP  1.12.3  Fix a bug in the way that stored procedures and functions
                       are identified in EDB Advanced Server, that could yield
                       incorrect results [Nikhil S].
2011-01-30 GL  1.12.3  Fix an error when clicking on "Display Objects". Report
                       and patch from Nikhil S.
2011-01-30 GL  1.14.0  Add support for SSL certificate files.
2011-01-30 GL  1.14.0  Add pg_stat_replication with pg_stat_activity.
2011-01-30 GL  1.14.0  Add pg_stat_database_conflicts to the database stats.
2011-01-30 GL  1.14.0  Add a specific panel for selection information.
2011-01-28 GL  1.12.3  Fix a crash when trying to save an edited pg_hba.conf
                       instead of postgresql.conf. Report and patch from
                       Nikhil S.
2011-01-20 GL  1.14.0  Disable all widgets in the server dialog if the user is
                       already connected to it.
2011-01-19 GL  1.12.3  Display the message only when we change the setting of
                       a connected server. Report from Josh Berkus.
2011-01-14 DP  1.12.3  Fix a parser bug in the pg_hba.conf editor [Dhiraj
                       Chawla].
2011-01-10 DP  1.12.3  Fix a crash when opening pgAdmin with the -q option
                       [Dhiraj Chawla].
2011-01-09 GL  1.12.3  Fix uncalled CREATE OR REPLACE VIEW when changing
                       privileges on an existing view
2011-01-09 GL  1.12.3  Fix dump and restore of mixed case database's name.
2011-01-01 GL  1.12.3  Fix the CASCADing option for constraints.
2011-01-01 GL  1.14.0  Add support for unlogged table.
2010-12-29 MH  1.14.0  Pull keywords from PostgreSQL include files to make sure
                       they are always up to date.
2010-12-29 MH  1.14.0  Add support for REPLICATION roles.
2010-12-26 GL  1.12.3  Make sure no query more than max size is stored in the
                       historic file.
2010-12-22 GL  1.12.3  Fix copy bug in the edit grid. Report from Mauro
                       Bertoli.
2010-12-21 GL  1.12.3  Fix the invisible column in the dlgEditGridOptions
2010-12-19 GL  1.14.0  Fix the enabling/disabling of toolbar buttons in the
                       query tool. Patch from Vinicius Santos.
2010-12-19 GL  1.12.3  Fix the permission check for the database restore menu.
2010-12-18 GL  1.14.0  Add "Number of selected characters" in query tool. Patch
                       from Vinicius Santos.
2010-12-18 GL  1.12.3  Stop losing focus in Find dialog if nothing more. Patch
                       from Nail Samatov.
2010-12-18 GL  1.12.3  Fix the Find dialog's UI. Patch from Nail Samatov.
2010-12-07 GL  1.12.2  Fix typo in --no-privileges option of frmRestore.
                       Report and patch from Conrad Akier.
2010-12-06 GL  1.14.0  Add option to request BOM write.
2010-12-06 GL  1.14.0  Add timestamp of last xact replay in server properties.
2010-11-23 DP  1.14.0  Store servers immediately following any change, rather
                       than at program exit [Sachin Srivastava].
2010-11-23 GL  1.12.2  Force typing the constraint name or the index name for
                       Foreign Key.
2010-11-23 GL  1.12.2  Fix quotation marks used for objects' names during
                       backup.
2010-11-22 DP  1.12.2  Improve the commenting logic in the SQL text box, to
                       allow quick commenting of multiple lines in succession
                       and fix some unintuitive behaviour [Nail Samatov].
2010-11-15 DP  1.14.0  Use the highlighted text in the Query Tool as the default
                       search string [Nail Samatov]
2010-11-12 GL  1.12.2  Fix comment on inherited columns.
2010-11-07 GL  1.14.0  Add support for 9.1 new kind of trigger: INSTEAD OF.
2010-11-03 GL  1.12.2  Fix frmOptions vertical size.
2010-11-03 GL  1.14.0  Add support for 9.1 ALTER TYPE new syntax for enum types.
2010-11-01 GL  1.14.0  Add support for 9.1 ALTER TYPE new syntax with
                       composite types.
2010-11-01 GL  1.14.0  Use -w switch when available for dump/restore.
2010-11-01 GL  1.14.0  Change the label of the OK button to "Backup" for
                       backups, and "Restore" for restores.
2010-10-22 DP  1.14.0  Dynamically link with wxWidgets on Windows.
2010-10-21 GL  1.12.2  Fix a lot of issues with length and precision in the
                       dlgType dialog.
2010-10-19 GL  1.14.0  Allow the use of the mousewheel to change font size.
2010-10-19 GL  1.12.2  Force the query font on the results grid.
2010-10-18 DP  1.14.0  Use tearable tabsets on the main form, query tool and
                       debugger to allow the user to re-arrange the UI as
                       desired.
2010-10-17 DP  1.14.0  Add block folding to the Query Tool and SQL text boxes.
2010-10-16 GL  1.14.0  Store/retrieve custom colours in colour picker.
2010-10-14 GL  1.12.2  Fix the setting of "Can update catalog" checkbox.
2010-10-14 GL  1.12.2  Fix two deletes of the same object in a query tool.
2010-10-14 GL  1.12.2  Fix for index size in the index list.
2010-10-12 DP  1.12.2  Fix a memory leak in the edit grid that can occur if
                       the user aborts a refresh of the data.
2010-09-30 AV  1.12.1  Fix the debugger invocation code to ensure it handles
                       different combinations of server version and libpq
                       builds as cleanly as possible.
2010-09-29 GL  1.12.1  Fix the double line number in the function properties
                       dialog.
2010-09-28 GL  1.12.1  Fix for log_statement in 7.4.
2010-09-28 GL  1.12.1  Lots of fixes on my "sort column" patch.
2010-09-28 DP  1.12.1  Avoid an error when viewing index statistics in
                       languages other than English.
2010-09-25 GL  1.12.1  Fix connection color on the query tool
2010-09-25 GL  1.12.1  Fix the reverse-engineered query for triggers
2010-09-23 GL  1.12.1  Fix the server's property dialog for unpriviledged users
2010-09-23 DP  1.12.1  Fix a crash if pressing escape in the edit grid filter
                       and sorting dialogue.
2010-09-21 GL  1.12.1  Add a tooltip and make RO the queries combobox
2010-09-21 GL  1.12.1  Fix the perspective string parameter
2010-09-16 GL  1.14.0  Select old values when connecting to another server.
2010-09-15 AV  1.12.0  Fix a possible crash on Solaris when closing the
                       server status windows.
2010-09-15 AV  1.12.0  Fix a possible crash on Solaris when cancelling a
                       debugging operation.
2010-08-31 AV  1.12.0  Fix a drawing glitch in the GQB, if the canvas exceeds
                       the hard-coded minimum size.
2010-08-30 GL  1.12.0  Get rid of the schema name and double quotes of the
                       result of the format_type stored procedure
2010-08-30 GL  1.14.0  Allow the use of Ctrl-V inside a textbox of
                       frmEditGrid. Patch from Steffen Kuhn.
2010-08-30 GL  1.14.0  Quoting for names is not anymore required for
                       unreserved keywords. Patch from Robert Haas.
2010-08-25 GL  1.14.0  dlgServer now uses two tabs.
2010-08-23 GL  1.12.0  Add a title to the frmStatus window when launched in
                       standalone mode.
2010-08-21 GL  1.14.0  Add the new vacuum/analyze counters on the statistics
                       tab of tables.
2010-08-19 GL  1.12.0  Fix an issue with tab keypress on the frmQuery with
                       Windows.
2010-08-17 GL  1.14.0  Add support for showing/hiding specific columns in the
                       server status window.
2010-08-17 GL  1.14.0  Add a shortcut to trigger a properties' window. Patch
                       from Steffen Kuhn.
2010-08-17 GL  1.12.0  Disable the "output pad" menu when the user is on the
                       GQB tab. Patch from Steffen Kuhn.
2010-08-17 GL  1.14.0  Add a "View Last X lines" menu item. Patch from Steffen
                       Kuhn.
2010-08-14 GL  1.12.0  Disable the "scratch pad" menu when the user is on the
                       GQB tab.
2010-08-13 GL  1.12.0  Fix another issue with the connection check code.
2010-08-13 GL  1.12.0  Fix an issue where the application_name is used as the
                       database name during a connection.
2010-08-10 GL  1.12.0  Fix the connection check code. Patch from Steffen Kuhn.
2010-08-10 GL  1.14.0  List the log files in the reverse order. Patch from
                       Steffen Kuhn.
2010-08-04 GL  1.12.0  Don't send the Greenplum query for each user, but
                       import it in the big roles query.
2010-07-30 GL  1.14.0  Add support for --quote-all-identifiers CLI option on
                       9.1 pg_dump/pg_dumpall.
2010-07-29 DP  1.14.0  Load plugins from any .ini file found in a new
                       plugins.d directory. This makes it much easier for
                       other software to register itself as a plugin.
2010-07-28 DP  1.12.0  Ensure the highlight colour in the SQL textboxes will
                       work with the system colours [Benedek László].
2010-07-24 GL  1.14.0  Support for Exclusion Constraints.
2010-07-24 GL  1.14.0  Better i18n by getting rid of GetTranslatedTypeName().
2010-07-24 GL  1.14.0  Add a contextual menu to reset a table/function's
                       statistics.
2010-07-24 GL  1.12.0  Make sure menubar's and toolbar's items are
                       enabled/disabled as appropriate when selecting a
                       server's group, per a report from Steffen Kuhn.
2010-07-21 DP  1.12.0  Ensure the Drop option is shown for rules when
                       appropriate.
2010-07-15 DP  1.12.0  Fix a crash that occured when pressing a key on a text
                       cell in the Edit Grid, when not in Edit mode.
2010-07-06 GL  1.10.4  Fix an escaping issue in the connection handling. Patch
                       from Benedek Laszlo.
2010-06-10 GL  1.10.4  Fix quoting of TABLE parameters in a function. Fix
                       also the quoting of the PL.
2010-06-08 AV  1.10.4  Ensure the variable editor is setup correctly upon
                       dialog creation.
2010-06-08 AV  1.10.4  Avoid a bug in the package dialog which could prevent
                       a comment being editted.
2010-06-08 AV  1.10.4  Don't pass values to OUT parameters when invoking
                       pl/pgsql functions in the debugger.
2010-06-02 GL  1.10.4  Fix the ever-displayed message when modifying multiple
                       times the same object (occurs with exttable, function,
                       package, trigger, per a report from Peter Geoghegan.
2010-05-27 AV  1.10.4  Use CALL to execute callable statements, not PERFORM.
2010-05-25 AV  1.12.0  Add support for discovery of 64 bit servers on Windows.
2010-05-21 AV  1.10.4  Drop package bodies correctly if they only contain
                       whitespace.
2010-05-21 AV  1.10.4  Fix a typo in the stored procedure debugger invocation
                       code block.
2010-05-21 AV  1.10.4  Fix debugging of functions by non-superusers in PG again.
2010-05-18 GL  1.10.4  Fix the editing of date and time values in the edit
                       grid, per a request from Paul Hughes.
2010-05-14 GL  1.10.4  Fix the function's generated query for TABLE-returning
                       functions.
2010-05-10 GL  1.10.3  Fix the "quiet log" query in the status server.
2010-05-07 AV  1.10.3  Call Stored Procedures in EnterpriseDB in an anonymous
                       block to prevent errors with out/inout parameters.
2010-05-07 AV  1.10.3  Fix an error when working with packages on EnterpriseDB
                       in 'postgres' mode.
2010-05-07 AV  1.10.3  Prevent a crash if the user cancels a restore operation.
2010-05-05 GL  1.10.3  Fix the refresh of a dropped function.
2010-04-29 AV  1.12.0  Add support for saving the graphical explain and query
                       builder canvases as images.
2010-04-29 AV  1.10.3  Fix a crash bug seen when closing the debugger parameter
                       dialog on OSX.
2010-04-29 GL  1.10.3  Fix to only show Storage value if the value is
                       different from the type's default value, per a
                       suggestion from Erwin Brandstetter.
2010-04-28 GL  1.10.3  Fix uncalled attempt to "change" array data types in
                       dlgColumn, per a report from Erwin Brandstetter.
2010-04-27 GL  1.12.0  Allow the user to define the maximum size of the query
                       that could be added in history, the total number of
                       queries stored and avoid storing identical queries. Per
                       a patch from Dickson S. Guedes, with minor changes by
                       me.
2010-04-27 AV  1.12.0  Add support for default ACLs in PostgreSQL 9.0+
2010-04-27 DP  1.10.3  Fix a crash that could occur if viewing a table with
                       no rows in the Edit Grid [Ashesh Vashi].
2010-04-26 DP  1.10.3  Fix a crash occuring when a function with a parameter
                       with a default is selected [Ashesh Vashi].
2010-04-24 GL  1.12.0  Added support for servers's groups.
2010-04-23 DP  1.12.0  Added support for deferrable unique constraints and
                       primary keys [Ashesh Vashi].
2010-04-22 DP  1.10.3  Don't offer debugging options to non-superusers on
                       Postgres Plus Advanced Server < 8.4 which doesn't
                       have support for user debugging [Ashesh Vashi]
2010-04-21 GL  1.10.3  Fix the saving and reverse engineering of parameters for
                       database, table, and function, according to a report
                       from Erwin Brandstetter.
2010-04-20 GL  1.10.3  Specify the schema of the table/function to restore if
                       pg_restore's release is 8.2 or later, per a report from
                       Kieran McCusker.
2010-04-20 GL  1.10.3  Fix the reverse engineering of a rule.
2010-04-16 GL  1.12.0  Fix the status server window on Mac OS X, per a report
                       from Dave.
2010-04-16 GL  1.12.0  Allow the selection of a user in the "select
                       connection" dialog. Per a request from Josh Berkus.
2010-04-16 GL  1.12.0  Add "reload configuration" action on a server node.
2010-04-16 GL  1.10.3  Fix the recent files, by notifying each frmQuery to
                       update their recent files. Same support for macros and
                       favourites. Per a report from Josh Berkus.
2010-04-15 GL  1.10.3  Fix the canvas resizing with really big table, per a
                       report from Michael Haltrecht and a patch from Ashesh
                       Vashi.
2010-04-10 GL  1.12.0  Duplicate the browser connection for the
                       maintenance/grant wizard dialog, so that the connection
                       to the db on the browser is still available for browsing
                       the objects, per a report from Magnus.
2010-04-10 GL  1.10.3  Add the missing RULEs for VIEWs in SQL pane, per a
                       report from Erwin Brandstetter.
2010-04-07 MH  1.12.0  When using execute-to-file in the query tool, prompt
                       for the filename before running the query instead of
					   after.
2010-04-06 GL  1.10.3  Add groups in the owner combobox, per a report from
                       Erwin Brandstetter.
2010-04-06 GL  1.12.0  Allow the change of the storage option of a column.
2010-04-03 GL  1.10.3  Get back to the Properties tab when a user connects to
                       a server.
2010-04-03 GL  1.12.0  Review of the frmOptions window (add sizers, use
                       wxFontPickerCtrl, wxDirPickerCtrl, wxFilePickerCtrl,
                       change a few tabs).
2010-04-03 GL  1.10.3  Fix the reverse engineering of a table when its columns
                       have Storage or Statistics value, per a report from
                       Erwin Brandstetter.
2010-04-03 GL  1.10.3  Correct reverse engineering of a function that RETURNS
                       TABLE, per a report from Erwin Brandstetter.
2010-04-02 GL  1.10.3  Display the tablespace in the reverse-engineered SQL of
                       the database.
2010-03-27 DP  1.12.0  Add support for private synonyms in Postgres Plus 
                       Advanced Server 8.4 [Ashesh Vashi].
2010-03-25 GL  1.10.3  Make sure "Use Replication" is visible even with a big
                       comment on an column.
2010-03-25 GL  1.10.3  Prevent a crash on the GQB when someone right click to
                       delete a join rather than properly select it
2010-03-21 GL  1.12.0  Add new TYPE syntax of CREATE TABLE.
2010-03-21 GL  1.12.0  Support autonamed index.
2010-03-20 GL  1.10.3  Make sure that Statistics tab doesn't shows more
                       databases than Properties tab.
2010-03-19 DP  1.10.3  Warn the user if a file couldn't be opened because it
                       contains invalid characters [Ashesh Vashi]
2010-03-16 DP  1.10.3  Fix command line quoting for backup/restore [Ashesh
                       Vashi].
2010-03-10 DP  1.10.3  Avoid a crash when debugging NULL procedures [Ashesh
                       Vashi].
2010-03-08 GL  1.12.0  Replace wxColourPickerCtrl with our own widget (named
                       ctlColourPicker).
2010-03-04 GL  1.10.2  Correctly save the position of a pgFrame, per a report
                       from Andreas Laggner and Dan Halbert.
2010-02-16 GL  1.10.2  Fix the reverse engineering of a function, per a report
                       from Kieran McCusker.
2010-02-14 GL  1.12.0  Add SQL Syntax Highlight Configuration, per a patch
                       from Maga Abdurakhmanov.
2010-02-14 GL  1.12.0  Show some HS/SR-related informations on the server.
2010-02-14 GL  1.12.0  Show/hide line numbers in the query tool, with its own
                       setting.
2010-02-13 GL  1.12.0  Handle customization of some files (favourites, macros,
                       queries' history).
2010-02-12 GL  1.12.0  Support for more complex user/database default GUC
                       setttings.
2010-02-12 GL  1.12.0  Support for query automatic history.
2010-02-03 GL  1.12.0  Support new attoptions column in pg_attribute.
2010-02-03 GL  1.12.0  Support COSTS and BUFFERS new EXPLAIN options.
2010-01-24 GL  1.12.0  Review of the restore window.
2010-01-24 GL  1.12.0  Support for the new "ALTER TABLESPACE name
                       SET/RESET" statement.
2010-01-23 GL  1.12.0  Allow copy from the properties, statistics, dependencies,
                       and dependents panels.
2010-01-23 GL  1.10.2  Fix the xmlTextWriterEndDocument check when saving a
                       favorite.
2010-01-20 GL  1.10.2  Fix an SQL error when changing a parameter for a
                       database, role/user and a function.
2010-01-14 GL  1.12.0  Get rid of the alias/ip resolving code.
2010-01-10 GL  1.10.2  Fix the display of a type with a specific typmod.
2010-01-10 GL  1.10.2  Select the server choosen with the /s command-line
                       argument.
2010-01-10 GL  1.10.2  Fix the call to the Slony-I storenode function.
2010-01-10 GL  1.10.2  Fix display of the date/time chooser.
2009-12-29 GL  1.12.0  Add code to handle the change of an operator class on
                       an index column.
2009-12-29 GL  1.12.0  Use application_name for each window, add support of
                       the new application_name column in activity report (9.0).
2009-12-27 GL  1.12.0  Review of the maintenance window.
2009-12-27 GL  1.12.0  Use a wxBitmapComboBox on frmQuery to show the color of
                       the server the query tool is connected to.
2009-12-22 GL  1.12.0  StickySql is false by default, per request from Tom
                       Brown.
2009-12-17 GL  1.12.0  Complete review of the backup window. Add the remaining
                       options.
2009-12-07 GL  1.12.0  Support for columns with UPDATE event in CREATE TRIGGER
                       (9.0).
2009-12-07 GL  1.12.0  Support for TRIGGER with WHEN clause (9.0).
2009-12-07 GL  1.12.0  Use of wxColourPickerCtrl each time we need to choose a
                       color.
2009-12-03 GL  1.10.1  Replace Alt-F4 with Ctrl-Q and Ctrl-W.
2009-11-26 DP  1.10.1  Prevent a crash if the edit grid is closed whilst it 
                       is loading data.
2009-11-25 DP  1.12.0  Add code to the schema browser to allow the user to 
                       reconnect to the server if the connection is lost.
2009-11-25 DP  1.10.1  Don't attempt to remove rows in the edit grid if the
                       user presses the delete key when the delete button is
                       disabled.
2009-11-23 GL  1.12.0  Support for "ALTER TABLE ... ALTER COLUMN ... SET
                       STATISTICS DISTINCT".
2009-11-23 DP  1.10.1  Only offer valid server encodings for new databases
                       [Quan Zongliang]
2009-11-20 DP  1.10.1  Fix font dialogue on Snow Leopard.
2009-11-19 GL  1.12.0  Support for drag-and-drop of a file in the query tool.
2009-11-16 GL  1.10.1  Fix an issue with the ordering of the mappings in a
                       text search configuration.
2009-11-20 DP  1.10.1  Fix font dialogue on Snow Leopard.
2009-10-28 DP  1.12.0  Extend the branding code to allow the vendor-specific
                       help options to be hidden.
2009-10-21 DP  1.10.1  Fix a potential crash bug in the object browser.
2009-10-13 DP  1.10.1  Reverse engineer empty (not NULL) ACLs correctly.
2009-10-08 DP  1.12.0  Add 'SELECT Script' for functions and 'EXEC Script' for
                       procedures.
2009-10-08 DP  1.10.1  Fix Greenplum support for column oriented partitions
                       [Chuck McDevitt]
2009-10-05 DP  1.10.1  Ensure function variables get reset if the function is
                       modified, per Dmitry Samokhin.
2009-10-01 DP  1.10.1  Fix cluster creation for Slony 2.0 [Sachin Srivastava]
2009-09-28 GL  1.12.0  Allow the change of database for the lock report on the
                       server status window.
2009-09-25 GL  1.12.0  Highlight processes according to their activity.
2009-09-24 GL  1.10.1  Reverse engineer function defaults values correctly.
2009-09-18 DP  1.10.1  Fix a potential crash in the edit grid.
2009-09-17 GL  1.12.0  Add a button to open the query tool with the query
                       selected in the frmStatus window.
2009-09-04 GL  1.12.0  Add an option to automatically rollback a failed
                       transaction, per a report from Cédric Duprez.
2009-09-01 DP  1.10.1  Fix domain creation/modification for domains in 
                       non-default schemas.
2009-09-01 GL  1.12.0  Remembers correctly window's maximized status, per a
                       report from David Schnur.
2009-09-01 DP  1.10.1  Reverse engineer language privileges correctly [Sachin
                       Srivastava].
2009-08-10 GL  1.10.1  Get rid of "No SQL query was generated." message dialog
                       when no tables are selected in the GQB, per request
                       from Rainer Bauer.
2009-08-10 GL  1.10.1  Hints files should be encoded in UTF-8.
2009-08-06 GL  1.12.0  Allow names without dot in open file dialog.
                       Fixes Debian bug 451038.
2009-08-05 GL  1.12.0  Better l10n support on sequences' statistics, per a
                       patch from Marek Cernocky.
2009-08-04 DP  1.10.1  Include comments on procedures in the reverse engineered
                       SQL.
2009-08-03 GL  1.12.0  Better l10n support on the Grant Wizard, per a
                       patch from Marek Cernocky.
2009-08-03 GL  1.12.0  Better l10n support on the generated reports, per a
                       patch from Marek Cernocky.
2009-07-30 DP  1.10.1  Fix debugger name resolution on 64 bit Solaris.
2009-07-30 DP  1.10.1  Fix Slony cluster creation on Solaris.
2009-07-30 DP  1.10.1  Fix foreign key creation on Solaris.
2009-07-29 DP  1.10.1  Fix an SQL syntax error when viewing the dependencies of 
                       a sequence [Ashesh Vashi].
2009-07-24 GL  1.10.1  Better fix for schedule and step dialogs.
2009-07-24 GL  1.12.0  More statistics on various objects, databases, indexes,
                       and functions (8.4+ only for the last one).
2009-07-24 GL  1.10.1  Fix the menu entry in frmQuery, per a report from Luiz
                       K. Matsumura.
2009-07-21 DP  1.12.0  Add the partition name to the properties pane when viewing
                       the partitions of a table on GreenPlum [Chuck McDevitt].
2009-07-20 GL  1.10.1  Fix the dlgFunction handling of preload libraries, per
                       report from Michael Shapiro.
2009-07-20 GL  1.12.0  Multiple statements are an issue with pgPool-II in
                       its replication mode.
2009-07-19 GL  1.10.1  Fix schedule and step dialogs [Ashesh Vashi, Guillaume
                       Lelarge].
2009-07-07 GL  1.10.1  Fix macros writing, per report from Mauro Bertoli.
2009-07-07 DP  1.12.0  Cache datatypes in dlgTable, so they don't have to be
                       reloaded by dlgColumn, which may be used multiple times
                       when creating a table [Sachin Srivastava].
2009-07-01 DP  1.12.0  Use the STC instead of a rich text control in the edit
                       grid to prevent issues with control characters creeping
                       in on Windows [Sachin Srivastava].
2009-07-01 DP  1.10.1  Fix error thrown when examining a Slony 2.x cluster.
2009-04-01 DP  1.10.0  Add support for RETURNS TABLE() on functions [Ashesh
                       Vashi].
2009-04-01 DP  1.10.0  Fix the validation of database and schema restriction
                       strings.
2009-03-31 DP  1.10.0  Support ldap, gss, sspi & cert authentication methods in
                       the pg_hba.conf editor.
2009-03-27 DP  1.10.0  Remove the 'use tab key for autocomplete' option as it
                       breaks other editor features for little gain.
2009-03-19 DP  1.10.0  Ensure that dependencies between tables and sequences
                       used by serial columns are displayed properly [Ashesh
                       Vashi].
2009-03-10 DP  1.10.0  Enhance support for Greenplum - add resource queue,
   		       external table and partitioned table support. Teach
		       the graphical explain tool about Greenplum query node
		       types, add Greenplum help and utility support [Chuck
		       McDevitt].
2009-02-27 DP  1.10.0  Fix handling of aggregate initial conditions to allow
                       NULL or empty strings to be specified.
2009-02-27 GL  1.10.0  Allow the contents of the panes on the Server Status
                       window to be copied to the clipboard.
2009-02-26 GL  1.10.0  Complete UI rework of the "Server Status" Window.
2009-02-23 DP  1.10.0  Add support for per-table TOAST autovacuum settings in
                       PostgreSQL 8.4+ [Ashesh Vashi].
2009-02-18 DP  1.10.0  Add support for per-table autovacuum settings in
                       PostgreSQL 8.4+ [Ashesh Vashi].
2009-02-13 DP  1.10.0  Fix support for 'bit varying' columns [Quan Zongliang].
2009-02-03 DP  1.10.0  Add support for column level privileges on PostgreSQL
                       8.4 and above [Ashesh Vashi].
2009-01-13 DP  1.10.0  Warn the user if connecting to a newer version of the
                       server than is supported.
2009-01-12 DP  1.10.0  Add support for Window functions [Ashesh Vashi]
2009-01-09 DP  1.10.0  Add an option to ignore server version mismatches with
                       pg_dump/pg_dumpall/pg_restore.
2009-01-08 DP  1.10.0  Add support for default values for function parameters
                       in PostgreSQL 8.4+ [Ashesh Vashi]
2009-01-08 DP  1.10.0  Restore old behaviour of the Edit Grid where <return>
                       moves to the next column, but <enter> moves to the next
                       row rather than both changing column [mei ben]
2009-01-07 DP  1.10.0  Add support for direct debugging of functions with
                       variadic parameters.
2009-01-05 GL  1.10.0  Add -S and -Sc command line options to open a server
                       status window
2009-01-01 DP  1.10.0  Add support for the many new node types in Postgres 8.4
                       [Ashesh Vashi]
2008-12-31 GL  1.10.0  Add CONNECTION LIMIT support for roles (8.1+).
2008-12-29 DP  1.10.0  Allow pgAgent to connect to databases on remote servers,
                       such as hot standby machines [Ashesh Vashi]
2008-11-25 DP  1.10.0  Add support for DESC and NULLs FIRST/LAST options for
                       index columns [Quan Zongliang].
2008-11-18 DP  1.10.0  Add support for per-database collation, ctype and
                       connection limits [Ashesh Vashi]
2008-11-14 GL  1.10.0  Add ALTER DATABASE SET TABLESPACE support (8.4)
                       and re-adds ALTER DATABASE RENAME TO support.
2008-11-07 DP  1.10.0  Fix the index UI to handle columns with commas in the
                       name [Quan Zongliang]
2008-11-04 DP  1.10.0  Remove the un-maintained Tip of the Day feature [Ashesh 
                       Vashi]
2008-10-27 GL  1.10.0  Add more index stats.
2008-10-13 DP  1.10.0  Fix the edit grid to work with bit(x).
2008-09-15 MH  1.10.0  Add pgScript scripting framework [Mickael Deloison - GSoC]
2008-09-08 DP  1.10.0  Add support for variadic functions in PostgreSQL 8.4+.
2008-09-04 DP  1.10.0  Ensure we never try to refresh the Servers node.
2008-09-01 DP  1.10.0  Don't fetch temp schemas if not actually required, as 
                       Greenplum seems to generate thousands in some
                       circumstances.
2008-08-30 GL  1.10.0  SQL text field can be enabled to allow SQL changes on
                       properties dialog.
2008-08-26 GL  1.10.0  Review of the dialogs to make them growable.
2008-08-22 DP  1.10.0  Add options to shift selected text to upper or lower
                       case in the SQL editor.
2008-08-22 DP  1.10.0  Add block commenting and uncommenting to the SQL editor.
2008-08-21 DP  1.10.0  Add block indenting and outdenting to the SQL editor.
2008-08-20 DP  1.10.0  Prevent the auto complete in the query tool being used
                       while a query is running.
2008-08-19 DP  1.10.0  Graphical query builder [Luis Ochoa - GSoC]
2008-08-11 GL  1.10.0  Support for FTS objects.
2008-08-11 GL  1.10.0  Support for adding/removing inherited tables with 8.2+
                       servers.
2008-07-04 GL  1.10.0  Don't display SQL tab on Server properties dialog.
2008-07-04 DP  1.10.0  Ensure a newline is included between notices in the query
                       tool.
2008-06-20 DP  1.10.0  Save and restore the user-selected line ending type in
                       styled text controls.
2008-09-18 MH  1.10.0  Avoid running excess queries on pg_shdescription when 
                       connecting to a server, fixing performnce regression
	               with large number of databases.
2008-06-20 DP  1.10.0  Ensure that line endings stay consistent when editing in
                       styled text controls.
2008-06-11 DP  1.10.0  Fix listing of group roles in the combo box on privilege
                       panels.
2008-06-10 DP  1.10.0  Reverse engineer multi-word type names correctly when
                       quoting.
2008-06-04 DP  1.8.4   Fix potential crash bug in the query tool logging code,
                       per Erwin.
2008-05-30 DP  1.8.3   Allow comments to be edited on EDB stored procedures.
2008-05-29 DP  1.8.3   Fix comments on EDB packages.
2008-05-29 DP  1.8.3   Ensure the grant wizard works correctly with EDB stored
                       procedures.
2008-05-28 DP  1.8.3   Ensure functions in databases with non-ASCII names can be
                       debugged.
2008-05-27 DP  1.8.3   Allow a debugging session to be cancelled correctly on
                       windows.
2008-05-23 DP  1.10.0  Allow the treeview nodes to be colour-coded for each
                       server, per Michael Glaeseman.
2008-05-19 DP  1.10.0  Allow external utilities such as pg_dump & pg_restore to
                       work with SSL connections.
2008-05-19 DP  1.10.0  Add support for pg_restore's --clean option.
2008-05-16 DP  1.10.0  Allow default settings to be set via a global config
                       file. This allows redistributors and sysadmins to
                       pre-configure an installation as required.
2008-05-15 DP  1.10.0  Add support for TRUNCATE triggers on PostgreSQL 8.4+.
2008-05-06 DP  1.10.0  Auto-discover Postgres Plus servers on Mac and Unix.
2008-05-06 DP  1.8.3   Fix a corner case in which closing the debugger window
                       following a failed attempt to create a global breakpoint
                       (for example, because of an existing breakpoint) could 
                       cause a crash on Windows.
2008-05-06 GL  1.10.0  Add 8.2 and 8.3 stats columns to tables list.
2008-05-06 GL  1.10.0  Add owner's column to list of objects.
2008-05-06 DP  1.8.3   Store pgAgent job step result codes in an int4 column. 
                       int2 was proving too small in some cases resulting in an
                       error.
2008-05-02 DP  1.8.3   Allow EnterpriseDB packages to be created without bodies.
2008-05-02 DP  1.8.3   Always refresh the data when the user clicks OK on the
                       edit grid options dialogue to ensure the filter/sort is
                       applied to current data.
2008-05-02 DP  1.8.3   Prevent unsaved changes in the edit grid being lost if
                       the filter or sorting dialogue is opened.
2008-05-02 DP  1.8.3   Update node text when refreshing treeview nodes in case
                       part of the identifier has changed.
2008-05-01 DP  1.8.3   Correct config window help paths.
2008-05-01 DP  1.8.3   Don't load group roles and old-style groups on the
                       security tab on 8.1 and higher.
2008-05-01 DP  1.8.3   Correctly quote role names when reverse engineering ACLs.
2008-04-20 DP  1.8.3   Don't allow the user to attempt to remove columns from
                       an existing index or index constraint.
2008-04-08 DP  1.8.3   Disable the RULE privilege on 8.2+ for views per Erwin.
2008-04-04 DP  1.8.3   Fix the logging system to ensure that errors from the
                       query tool get logged, and notices are only output once.
                       Cleanup some other minor misbehaviours at the same time.
                       Per report from Erwin.
2008-03-27 DP  1.8.3   Ignore the type modifier for domains in function
                       signatures.
2008-03-22 DP  1.8.3   If stopping the server service fails after stopping
                       dependent services, wait 5 seconds and try again up to 10
                       times to allow the dependents time to shutdown fully.
2008-03-20 DP  1.10.0  Add a DELETE script option for tables [Rémi Flament]
2008-03-19 DP  1.8.3   Don't include the -h option when calling pg_dump or
                       pg_restore if there is no hostname to specify.
2008-03-18 DP  1.8.3   Convert setting names to lower case so we don't end up
                       with DateStyle and datestyle for example.
2008-03-11 DP  1.8.3   Construct SQL used to add columns such that the entire
                       operation happens in one statement to ensure default
                       values and NOT NULL can be set together. Per report from
                       Laurent ROCHE.
2008-03-04 DP  1.8.3   Properly quote the maintenance database name when
                       creating a new connection.
2008-03-04 DP  1.8.3   Show the schema correctly for EDB public synonyms that
                       point to other synonyms.
2008-03-04 DP  1.8.3   Remove long-dead Explain Text option from the Query Tool.
2008-03-03 DP  1.10.0  Add the ability to register external applications on
                       a plugins menu. Menu options can be activated based on
                       the current object selection, and a variety of variables
                       including everything needed to open a database connection
                       can be passed to the external utility.
2008-02-27 DP  1.10.0  Allow the user a chance to abort if there is an error
                       when deleting rows in the edit grid [Robins Tharakan]
2008-02-27 DP  1.10.0  Remove an obsolete FORCE option on the Maintenance 
                       dialogue [Robins Tharakan]
2008-02-27 DP  1.8.3   Properly quote synonym names when refreshing.
2008-02-27 DP  1.10.0  Add basic support for function parameter default values
                       on EnterpriseDB.
2008-02-26 DP  1.8.3   Parse function parameter names correctly when they
                       contain commas.
2008-02-24 DP  1.8.3   FOSDEM fix: Include overriding columns in reverse
                       engineered SQL for child tables, rather than commenting
                       them out and marking as inherited.
2008-02-20 DP  1.8.3   Avoid quoting 'text' when used as a type name per Erwin.
2008-02-18 DP  1.8.3   Correctly generate table DDL when inherited columns
                       follow the last 'real' column, per Peter Gagarinov.
2008-02-13 DP  1.8.3   Sort the functions in the combo box on the Trigger
                       dialogue [Robins Tharakan]
2008-02-13 DP  1.8.3   Hide array variants of table-types in datatype selectors
                       where we already hide the table type itself.
2008-02-08 GL  1.8.3   Fix query that tries to apply the schema restriction.
2008-02-08 DP  1.8.3   Specify the length correctly when creating columns of 
                       'time with time zone' and friends.
2008-02-07 GL  1.10.0  Add Drop/Reassign Owned support with a specific dialog.
2008-02-06 DP  1.10.0  Add options to the Edit Grid to allow sorting and 
                       filtering based on the selected cell [Robins Tharakan]
2008-02-04 DP  1.8.3   Allow non-superusers to debug their own functions.
2008-02-01 GL  1.8.3   Fix query that tries to apply the DB restriction.
2008-02-01 DP  1.8.3   Ensure info passed to Guru hints is HTML-safe.
2008-02-01 HS  1.8.2   Size of the column label of SQLGrid was made variable.
2008-01-30 DP  1.8.2   Prevent a crash when viewing databases with % in the 
                       name.
2008-01-23 DP  1.8.2   Don't try to force new databases into a specific
                       tablespace as this will error is non-superusers default
                       to pg_default.
2008-01-23 DP  1.8.2   Correct the SQL generation for EDB inline triggers.
2008-01-23 DP  1.8.2   Generate function signatures correctly if the first
                       parameters are OUT only. 
2008-01-18 DP  1.8.2   Remove the confusing and near-useless sequence combo box
                       from the column dialog per discussion on support list.
2008-01-18 DP  1.8.2   Fix the WITH ADMIN membership option when creating roles.
2008-01-16 DP  1.8.2   Refresh Views correctly on EnterpriseDB.
2008-01-14 DP  1.8.2   Fix the privilege editor on the Language dialogue, per
                       Bborie Park.
2008-01-10 DP  1.8.2   Correctly identify the schema of trigger functions that
                       are in system catalogs as can be the case with integrated
                       full text search.
2008-01-09 HS  1.8.2   Warn the user if a file cannot be saved in the default
                       encoding.
2008-01-07 DP  1.8.2   Undecorated out-param types must be included in EDB-SPL
                       function signatures when altering comments or privileges
                       or dropping functions or procedures.
2008-01-07 DP  1.8.2   Ensure enums are offered as datatypes for columns.
2008-01-07 DP  1.8.2   Fix column dialogue to allow proper modification of array
                       columns per Erwin.
2008-01-07 DP  1.8.2   Newer build of EnterpriseDB consistently strip trailing
                       semi-colons from package headers and bodies. Update 
                       reverse engineering allow for this.
2008-01-07 DP  1.8.2   Ensure the properties dialogues will work sanely with
                       objects named " " (!).
2008-01-07 DP  1.8.2   EDB-SPL functions require NULL to be passed in out-params
                       when debugging.
2008-01-07 DP  1.8.2   Ensure that EDB-SPL trigger DDL code is appropriately
                       formatted on newer builds of EnterpriseDB.
2008-01-03 DP  1.8.2   Ensure the password and confirmed password always match
                       when adding or editing roles or users.
2008-01-02 DP  1.8.1   Fix a bug that could cause a crash on GTK when closing
                       the query tool in certain circumstances.
2008-01-02 DP  1.8.1   Avoid a crash if the connection is lost and the Functions
                       node is refreshed.
2008-01-02 DP  1.8.1   Avoid crashes when working with objects with % characters
                       in the name.
2008-01-01 DP  1.8.1   Properly reverse-engineer the SQL for indexes with DESC,
                       NULLS FIRST or NULLS LAST column options. 
2008-01-01 DP  1.8.1   Only offer the Jobs node if the user can access the
                       pgagent schema.
2007-12-19 DP  1.8.1   Ensure the 'Create Rule' context menu option is always
                       offered when appropriate.
2007-12-19 DP  1.8.1   Prevent the user from trying to debug catalog objects.
2007-12-17 DP  1.8.1   Refresh the tree without erroring after creating a new
                       package on EnterpriseDB.
2007-12-17 DP  1.8.1   Fix a crash that occured if an object called '%' was
                       selected in the treeview, per Alexander Steffens.
2007-12-14 DP  1.8.1   Fix a line number error in the debugger seen with
                       procedures which start on the same line as the 'CREATE
                       PROCEDURE foo IS ...' Per report from Heikki Linnakangas.
2007-12-14 GL  1.8.1   Cleanup the covering index control logic in the Foreign
                       Key dialogue.
2007-12-13 GL  1.8.1   Fix to refresh version string and number, and last OID,
                       per a report from Alexander Kirpa.
2007-12-12 DP  1.8.1   Disable CREATE FUNCTION etc. under EnterpriseDB packages
                       because they are created as part of the main package 
                       body. 
2007-12-12 DP  1.8.1   Fix some broken references to online help pages.
2007-12-12 DP  1.8.1   Don't offer 'Drop Cascaded' unless the user can 'Drop'
                       the object.
2007-12-12 DP  1.8.1   Prevent non-superusers from attempting to use the
                       debugger because the plugin API won't let them anyway.
2007-12-11 DP  1.8.1   Check that functions exist before debugging or setting
                       global breakpoints on them. Remove them from the treeview
                       if not.
2007-12-11 DP  1.8.1   Correct the URL for the EDB public synonym help page
2007-12-11 HS  1.10.0  Add the keyword 'WHILE' of debugger.
2007-12-10 DP  1.10.0  Add support for typmod in/out functions on custom types
                       [Guillaume Lelarge]
2007-12-10 DP  1.8.1   Fix the debugger's connection class to ensure database
                       names requiring quotes will work and that is can be used
                       with SSL and Kerberos connections.
2007-12-07 DP  1.8.1   Allow the length of array-typed columns to be changed
                       (eg. 'character varying[](100)'), per report from Ferenc
                       Lutischan
2007-12-05 DP  1.8.1   Don't allow the user to direct-debug trigger functions,
                       only global breakpoints should be used on them (or the
                       trigger itself).
2007-12-05 DP  1.8.1   Don't offer edbspl functions when creating triggers as
                       they should have inline bodies.
2007-12-04 DP  1.8.1   Don't quote database names that happen to be keywords
                       when starting the debugger.
2007-12-03 GL  1.10.0  Add an option to alter a language's owner
2007-11-30 DP  1.8.1   Don't offer package names and system schemas as schemas
                       when creating public synonyms.
2007-11-28 DP  1.8.1   Fix pgAgent's job query when a host agent is specified
                       so that jobs don't execute every time round the loop
                       regardless of schedule, per Brian Kalbfus.
2007-11-28 DP  1.8.1   Add EnterpriseDB's default database (edb) to the Server
                       dialog's default option.
2007-11-28 DP  1.8.1   Don't allow the user to debug an EnterpriseDB package
                       function or procedure if the body isn't defined.
2007-11-28 DP  1.8.1   Don't offer the user the chance to create new columns
                       on system catalogues.
2007-11-28 DP  1.8.1   Fix the debugger to send actual NULL values rather than
                       'NULL' through the EnterpriseDB callable statement API.
                       Allow parameter values to be NULL or empty strings on
                       both PostgreSQL and EnterpriseDB using the same syntax
                       as the Edit Grid.
2007-11-27 DP  1.8.1   Always open the PostgreSQL Help when selecting that menu
                       option, even if connected to EnterpriseDB.
2007-11-27 DP  1.8.1   Fix EnterpriseDB public synonym loading so that they
                       aren't considered system objects.
2007-11-23 DP  1.10.0  Add an option to enable/disable rules on tables [Guillaume
                       Lelarge]
2007-11-23 DP  1.10.0  Add options to TRUNCATE and TRUNCATE...CASCADE tables.
                       [Guillaume Lelarge]
2007-11-23 DP  1.8.1   Fix path discovery on Unix so standard installs can be
                       relocated easily.
2007-11-13 DP  1.8.1   Fix character number display in the query tool.
2007-11-07 DP  1.8.1   Use popen() when testing the versions of helper apps on
                       non-windows platforms to avoid an obscure bug on PPC Macs
                       that could leave wxExecute hanging indefinitely whilst
                       waiting on a zombie process.
2007-10-30 DP  1.8.1   When creating a new index and specifying both tablespace
                       and fill factor, make sure the SQL is formulated
                       correctly, per Stefan Wolf
2007-10-29 DP  1.8.1   Fix the locks tab on the server status dialogue so it
                       works correctly with PostgreSQL 8.3+.
2007-10-29 DP  1.8.1   Properly format the object comments shown in the
                       properties list when a collection node is selected. Per
                       report from Mike Blackwell.
2007-10-29 DP  1.8.1   Fix a bug preventing the 'on error' flag of a pgAgent job
                       step being edited, per Jon Roberts.
2007-10-26 DP  1.8.1   Handle the corner case when a user includes quotes in an
                       object name.
2007-10-26 MH  1.10.0  Add a 'Blocked By' column to the Server Status dialog
                       to show if a transaction is blocked by another process.
2007-10-26 DP  1.8.1   Properly escape _'s in queries for schemas, per Derek
                       Fonda.
2007-10-26 DP  1.8.1   Don't try to enable/disable prepared transaction related
                       controls on pre-8.1 servers, per Karl Zellnig
2007-10-12 DP  1.8.0   Avoid using a correlated subquery that Greenplum doesn't
                       support, per report from Jon Roberts.
2007-09-24 DP  1.8.0   Allow GUCs to be set on functions in PostgreSQL 8.3 and
                       above. [Guillaume Lelarge]
2007-09-24 DP  1.8.0   Allow GUCs to be set on users, roles and databases at
                       create time.
2007-09-03 DP  1.8.0   Fix the table, index and index constraint tablespace
                       property combo boxes to allow changes to tablespace.
2007-09-03 DP  1.8.0   Modify the object browser so that the expanded/collapsed
                       state of child nodes is retained when a node is
                       refreshed.
2007-07-19 DP  1.8.0   Refactor the Query Tool's execQuery function to prevent
                       pgAdmin freezing while two long running queries are 
                       executing simultaneously.
2007-07-05 HS  1.8.0   Fixed UTF8 option was not effective by file reading and
                       writing of a query. and fixed crash at the time of file
                       save. Per report from Claudia.
2007-07-02 DP  1.8.0   Add an option to the Report Tool to open the output file
                       in the default browser.
2007-07-02 DP  1.8.0   Add a macro facility to the Query Tool [Krzysztof
                       Smigrodzki]
2007-06-25 DP  1.8.0   Add keyboard shortcuts to show and hide UI elements,
                       per Jan Kowalski.
2007-06-25 DP  1.8.0   Display the output pane in the query tool at query 
                       completion if it's currently hidden, per Jan Kowalski.
2007-06-12 DP  1.8.0   Ensure files can be converted to the required encoding
                       before saving, per report from Christian Lins.
2007-06-12 DP  1.8.0   Warn the user and allow her to abort before re-running
                       a backup or restore to or from the same file, in the same
                       session (can occur if the first attempt returns an error
                       or warning). Per gripes from various users :-)
2007-06-01 DP  1.8.0   Add support for multi-parameter aggregates.
2007-05-31 DP  1.8.0   Retain column widths when refreshing the edit grid, per
                       Ferenc Lutischan.
2007-05-30 DP  1.8.0   Ensure logfiles and pgpass files can be correctly saved
                       on Windows when the username contains non-ASCII chars.
                       Per report from Athanasios E. Samaras.
2007-05-26 DP  1.8.0   Ensure we always allow the maximum string length possible
                       to be entered in the Edit Grid.
2007-05-24 GL  1.8.0   Sort servers' list alphabetically.
2007-05-18 DP  1.8.0   Fix a crash in the Edit Grid which occured if Delete was
                       pressed whilst editing a boolean. Per report from Erwin.
2007-05-17 DP  1.8.0   Remove bundled copies of PostgreSQL/Slony docs to make it
                       easier to localise the rest. Instead allow the use of 
                       local or online copies of the PostgreSQL, EnterpriseDB or
                       Slony docs, each independently of the other.
2007-05-10 DP  1.8.0   Add a new command line option (-f <file>) to open an SQL
                       script automatically when using -q or -qc. Per request 
                       from Taras Kopets.
2007-05-10 GL  1.8.0   Add fillfactor support on tables and indexes.
2007-05-10 DP  1.8.0   Add a new command line options (-cp <file>) to allow 
                       direct editing of pgpass files.
2007-05-09 DP  1.8.0   Treat view columns as first class citizens. Show them on
                       the treeview, and allow their properties page to be
                       viewed. Allow editting of the default value and comment,
                       and reflect this in the reverse engineered SQL for the
                       view. Per request from Luiz.
2007-05-09 DP  1.8.0   Load second and subsequent postgresql.conf files
                       into the config editor correctly.
2007-05-09 DP  1.8.0   Prompt the user to save changes before opening a file
                       from the recent files menu on the Query Tool, per Taras 
                       Kopets
2007-05-02 DP  1.8.0   Add auto-indent to the query tool.
2007-05-02 DP  1.8.0   Add an option to show indent guides in the query tool.
2007-05-02 DP  1.8.0   Allow spaces to be used instead of tabs in SQL editors,
                       and ensure the width can be set sensibly.
2007-04-30 DP  1.8.0   Allow detection and conversion of line ending format in
                       the query tool.
2007-04-24 DP  1.8.0   Integrate the EnterpriseDB pl/pgsql and EDB-SPL debugger
                       with pgAdmin [Hiroshi Saito, Dave Page]
2007-04-23 DP  1.8.0   Don't try to detect if integrated autovacuum is
                       running on < 8.1. Per Simon Riggs.
2007-04-04 DP  1.8.0   Display the constraint OID for index constraints, not
                       the index OID. Add the index OID as a new property,
                       per Harald.
2007-04-04 DP  1.8.0   Ensure the password change dialog works with stored
                       passwords.
2007-04-03 DP  1.8.0   Add support for function cost and row estimations in
                       PostgreSQL 8.3+.
2007-04-03 DP  1.8.0   Add support for enums in PostgreSQL 8.3+.
2007-04-03 DP  1.8.0   Copy and paste data correctly when in a cell editor in
                       the edit grid, per Stephan Jaensch.
2007-03-30 DP  1.8.0   Avoid creating graphical explain nodes for triggers as
                       they aren't part of the plan and mess up the layout.
                       Per report from Jeremy Drake.
2007-03-30 DP  1.8.0   Fix reverse engineering of data types with a size of 0,
                       such as "timestamp(0) without timezone" per Erwin.
2007-03-30 DP  1.8.0   Display the is_called sequence flag, per Erwin.
2007-03-27 DP  1.8.0   Handle resetting of sequence values more consistently,
                       per Erwin.
2007-03-27 DP  1.8.0   Allow editting of rows with a blank string in the primary
                       key in the edit grid, per Jeremy Palmer.
2007-03-16 DP  1.6.3   Fix an overflow bug in pgAgent, per report from Sabin
                       Coanda
2007-03-14 DP  1.8.0   Function/procedure signatures do not include OUT params.
                       Fix this oversight, and cleanup much of the related code.
2007-03-12 DP  1.8.0   Remove a lot debugging code of little or no use.
2007-03-12 DP  1.8.0   Position the cursor at the error position when an error
                       occurs in the Query Tool. Ensure the line is visible.
2007-03-12 DP  1.8.0   Use Oracle style syntax for edbspl triggers.
2007-03-12 DP  1.8.0   Show only tables & views (as 'catalog objects') in
                       pseudo-system catalogs such as information_schema and
                       EDB's sys and dbo catalogs. Lock down functionality to
                       prevent create/edit/drop options being offered.
2007-03-09 DP  1.8.0   Create and reverse engineer edbspl procedures using
                       Oracle compatible syntax.
2007-03-09 DP  1.8.0   Treat all functions & procedures as 'Functions' in
                       PostgreSQL, and class only EnterpriseDB edbspl functions
                       returning void as 'Procedures'.
2007-03-08 DP  1.8.0   Preserve column widths between queries.
2007-03-08 DP  1.8.0   Use EnterpriseDB's utilities for dump and restore EDB
                       databases to ensure non-PG extensions can be handled.
2007-03-07 DP  1.8.0   Speed up loading of functions and procedures by rewriting
                       some horribly inefficient code.
2007-03-06 DP  1.6.3   Fix a bug that prevented adding new nodes to a Slony
                       cluster, per Duncan Beeby.
2007-03-06 DP  1.6.3   Remember the server's SSL mode property correctly.
2007-03-05 DP  1.6.3   Prevent the RULE privilege becoming re-enabled for tables
                       on PostgreSQL 8.2+, per Erwin.
2007-03-05 DP  1.8.0   Add support for packages on EnterpriseDB.
2007-03-05 DP  1.6.3   Minor fix for edb/spl functions.
2007-03-02 DP  1.6.3   Fix procedure support on EnterpriseDB AS81.
2007-03-02 DP  1.8.0   Add support for public synonyms on EnterpriseDB.
2007-03-02 DP  1.8.0   Use pg_statindex (if available) to optionally display
                       additional index statistics on a per-table basis. Also
                       works for index-constraints [Guillaume Lelarge]
2007-03-01 DP  1.8.0   Display catalogs separately from schemas, and don't
                       treat them as system objects any longer (they can be
                       hidden using the display options).
2007-02-27 DP  1.8.0   Allow install time re-branding. This allows rebranded
                       versions of pgAdmin to be distributed without code
                       modifications, but with references to the original
                       pgAdmin being displayed instead. Also add support for
                       shaped splash screens.
2007-02-26 DP  1.8.0   Add a set of options to allow the user to hide selected
                       object types from the treeview. Note that the new default
                       settings will hide less commonly used objects such as
                       casts, languages, aggregates, operators etc.
2007-02-23 DP  1.6.3   Fix a rare bug in the Edit Grid which could cause a crash
                       when editting data in tables with deleted columns and a
                       primary key that isn;t at the beginning of the table.
                       Thanks to Patrick De Visschere for the test case.
2007-02-23 DP  1.6.3   Use the correct version of the Slony scripts when
                       creating a new cluster, per Duncan Beeby.
2007-02-22 DP  1.6.3   Prevent the Edit Grid Filter causing a crash if an
                       invalid filter containing a % is used, per Erwin.
2007-02-16 DP  1.8.0   Replace the Mac installer with code to create a
                       distribution disk image [Florian G. Pflug]
2007-02-16 DP  1.6.3   Fix a minor bug in app bundle creation for Mac [Florian
                       G. Pflug]
2007-02-14 DP  1.8.0   Allow entire servers to be backed up.
2007-02-14 DP  1.8.0   Allow global objects to be backed up.
2007-02-05 DP  1.8.0   Add a guru hint to warn the user of the consequences of
                       storing passwords, per Tony Caduto.
2007-02-05 DP  1.6.3   Fix the graphical explain to properly display backwards
                       index scan nodes, per Brendan O'Shea.
2007-02-05 DP  1.6.3   Fix default perspective names, per Ezequias
2007-02-05 DP  1.6.3   Monitor the streams again whilst backing up on Mac -
                       this no longer crashesin wx2.8. Per Dave Livesay.
2007-02-05 DP  1.6.3   Fix a crash on Mac that occurred when using some combo
                       boxes, per David Lowry.
2007-01-29 DP  1.6.3   Fix menu icon for Gnome [Nathan Egge]
2007-01-26 DP  1.6.3   Allow users with SUPERUSER but no other privilege flags
                       to create roles and databases etc. per Andy Shellam.
2007-01-23 DP  1.8.0   Browser support for Operator Families in PstgreSQL 8.3.
2007-01-22 DP  1.6.3   Handle non-default schema paths properly in the Foreign
                       Key dialogue, per Philipp Specht
2007-01-19 DP  1.6.3   Fix localisation of 'Tab' as a copy delimiter.
2007-01-19 DP  1.8.0   Add options to enable/disable triggers, both individually
                       and per-table [Guillaume Lelarge, Dave Page]
2007-01-17 DP  1.6.3   Update to support the changed syntax of pg_dump 8.2+.
2007-01-15 DP  1.6.3   Add support for Sun's compiler [Dhanaraj M]
2007-01-12 DP  1.8.0   Use pg_stattuple (if available) to optionally display
                       additional table statistics on a per-table basis
                       [Guillaume Lelarge, Dave Page]
2007-01-11 DP  1.8.0   Support for operators and op-classes in PostgreSQL 8.3.
2007-01-10 DP  1.6.3   Fix an issue in the Query Tool export option that could
                       result in blank lines in the export file, per Mathias 
                       Durst and Mike.
2007-01-09 DP  1.6.3   Truncate comments containing \r\n correctly, per Erwin.
2007-01-09 DP  1.6.3   Fix query tool title which was unfortunately broken by
                       an earlier fix for another bug.
2007-01-04 DP  1.6.2   Enable the OK button on the database properties dialog
                       when variables are changed.
2007-01-04 DP  1.6.2   Refresh database objects correctly, per Guy Rouillier.
2006-12-28 DP  1.8.0   Add a 'Run Now' options for pgAgent jobs.
2006-12-28 DP  1.8.0   Retain the clipboard contents on app exit.
2006-12-28 DP  1.8.0   Add an option to show NULLs as <NULL> in the Query Tool.
2006-12-28 DP  1.8.0   Remember last used save definition filename.
2006-12-28 DP  1.8.0   Remember last used backup/restore filenames.
2006-12-28 DP  1.8.0   Refactor code to remove support for building the Query
                       Tool with a listview rather than a grid.
2006-12-28 DP  1.6.2   Avoid displaying multi line data in single line list 
                       controls, per Clodoaldo Pinto Neto
2006-12-15 DP  1.6.2   Properly drop foreign keys in schemas whose names require
                       quoting, per M S.
2006-12-14 DP  1.6.2   Avoid a crash when closing the query tool on Solaris
                       [Dhanaraj M]
2006-12-07 DP  1.6.2   Display the transation start time on the server status
                       windows on PostgreSQL 8.3+
2006-12-07 DP  1.6.2   Reverse engineer columns with multi-word names (like
                       'timestamp with timezone') correctly so that precision
                       and array modifiers are included properly. Per Erwin.
2006-12-07 DP  1.6.2   Add '...' to truncated column comments in table SQL, per
                       Erwin Brandstetter.
2006-12-05 DP  1.6.2   Properly size the backup dialog, per Patrick Headley.
2006-12-05 DP  1.6.2   Ensure column headers and the insert row are shown in the
                       edit grid when no rows exist in the table being editted,
                       per Bob Pawley.
2006-12-05 DP  1.6.2   Restore dialog sizes correctly.
2006-12-04 DP  1.8.0   Refactor code to remove database base classes
2006-12-04 DP  1.8.0   Remove code specific to versions of wxWidgets that we
                       no longer support.
2006-12-04 DP  1.8.0   Remove obsolete support for non-Unicode builds.
2006-12-04 DP  1.6.2   Build against PostgreSQL 8.2 on Windows.
2006-12-01 DP  1.6.2   Fix some oddities in the way current per-table vacuum
                       settings are displayed.
2006-12-01 DP  1.6.2   Fix per-table autovacuum settings for PostgreSQL >= 8.2
                       per Devrim Gunduz.
2006-12-01 DP  1.6.2   Prevent the filter/sort options dialogue being opened
                       when data is being refreshed, per Erwin.
2006-11-29 DP  1.6.1   Prevent a crash from the query too when using File ->
                       Exit on GTK.
2006-11-29 DP  1.6.1   Don't paste into empty edit grids, per Howard Wang.
2006-11-29 DP  1.6.1   Guard against permission denied errors in the edit grid
                       per Howard Wang.
2006-11-29 DP  1.6.1   Fix some portability issues in the configure code [Max
                       Khon]
2006-11-28 DP  1.6.1   Properly quote function parameter names, per Ken Priest.
2006-11-28 DP  1.6.1   Don't display index constraints under the Indexes node
                       as well as the Contraints node, per Erwin.
2006-11-27 DP  1.6.1   Fix a minor bug in the index reverse engineering when
                       using non-default operator classes per Andrus.
2006-11-23 DP  1.6.1   Only enable the 'Include SQL' checkbox on the report
                       dialog if there is SQL to include, Per Ezequias 
                       Rodrigues da Rocha
2006-11-21 DP  1.6.1   When checking the position & size of windows, use the
                       dimensions of the current display, not the primary.
2006-11-17 DP  1.6.1   Include IN/OUT/INOUT keywords in procedure identifiers
                       in the treeview.
2006-11-17 DP  1.6.1   Fix deletion of stored procedures, Per Erwin.
2006-11-16 DP  1.6.1   Rework the Find/Replace code to fix a couple of minor 
                       bugs and improve readability.
2006-11-16 DP  1.6.1   Enable the OK button on the Database properties dialog
                       when the owner is changed, per Jim Cullison
2006-11-15 DP  1.6.1   Prevent a crash if the 'View Filtered Data' filter dialog
                       is cancelled. Per Erwin Brandstetter
2006-11-06 DP  1.6.0   Hide binary data (bytea) in the edit grid.
2006-10-12 DP  1.6.0   Add an installer for Mac.
2006-10-03 HS  1.6.0   Fixed display of pg_dump/pg_restore output in non-ASCII
                       charactersets.
2006-09-28 DP  1.6.0   Ensure the schema is specified when backing up individual
                       tables [Luca Arzeni]
2006-09-15 DP  1.6.0   When exporting data to the local charset wxFile::Write 
                       will crash if it can't convert the data. Check that
                       conversion is possible before writing each row and skip 
                       if not. If any failures have occured, tell the user how 
                       many, and suggest they use UTF8 instead. Per Harald 
                       Armin Massa
2006-09-11 DP  1.6.0   Add support for building indexes concurrently on 8.2.
2006-09-08 DP  1.6.0   Use SQL standard type names where appropriate. Show
                       them as 'aliases' in the browser. [Magnus Hagander/
                       Dave Page]
2006-09-06 DP  1.6.0   The RULE privilege is not applicable to tables in 8.2
                       so don't use it.
2006-09-01 DP  1.6.0   Add support for building Mac Universal Binaries.
                       With help from Florian G. Pflug and Chris Campbell.
2006-08-30 DP  1.6.0   Fix maintenance dialogue for Primary Keys and Unique
                       constraints per Alexander Kirpa
2006-08-30 DP  1.6.0   Favour a primary key over an OID column when updating
                       data in the edit grid to benefit from the index, per
                       Vivek Khera.
2006-08-30 DP  1.6.0   Require the use of wxWidgets 2.7 or above (needed for the
                       wxAUI classes.
2006-08-30 DP  1.6.0   Use the wxAUI library to provide dockable window elements
                       on the main window, query tool and edit grid, giving
                       us a much more modern look and feel.
2006-08-30 MH  1.6.0   Allow for -q to open query tool without opening
                       main window. Add -qc switch to open query tool and
                       autoconnect using a connection string.
2006-08-30 MH  1.6.0   Disable splash-screen completely in debug builds.
2006-08-29 MH  1.6.0   Add a New Window menu/toolbar to the query tool.
2006-08-15 DP  1.6.0   Set focus on the filter textbox when opening the View
                       data filter options [Guillaume Lelarge]
2006-08-15 DP  1.6.0   Auto-select the next item when removing columns from 
                       the View Data sort options dialog [Guillaume Lelarge]
2006-07-21 DP  1.6.0   Fix custom vacuum settings editting, per Benjamin 
                       Krajmalnik
2006-07-18 DP  1.4.3   Display job steps and schedules properly in the Job
                       dialogue, per Eric Shuman.
2006-07-17 DP  1.4.3   Display interval precision properly, per Walter Haslbeck
2006-07-04 DP  1.6.0   Make elements of the main windows dockable for 
                       maximum configurability.
2006-07-04 DP  1.6.0   Add 'scratch pads' to the Edit Grid and Query Tool
                       windows to use when copying and pasting data back
                       and forth.
2006-07-04 DP  1.6.0   Add a proper menu to the Edit Grid window.
2006-06-30 DP  1.4.3   Return the script return value when executing shell
                       scripts from pgAgent, per Eric Shuman
2006-06-22 DP  1.4.3   Use a slider instead of a spin control to avoid a
                       wxGTK bug on the status form, per Peter Eisentraut.
2006-06-15 DP  1.6.0   Add a new Find & Replace dialogue to the query tool,
                       implementing all the normal Find & Replace options as
                       well as a powerful regular expression search mode.
2006-06-15 DP  1.6.0   Add a pgAgent option to log to a file on *nix [Jeremy
                       Palmer]
2006-06-14 DP  1.6.0   Add a Redhat init script for pgAgent [Jeremy Palmer]
2006-06-13 DP  1.6.0   Display non-default op classes in index definitions.
2006-06-12 DP  1.6.0   Minor fixes to the browser code to properly add new nodes
2006-06-12 DP  1.6.0   Fix creation of jobs with multiple steps or schedules per
                       Jeremy Palmer
2006-06-12 DP  1.6.0   Remove unused fc1 packaging files
2006-05-31 DP  1.6.0   Retain values in the edit grid following a failed
                       insert or update per Mario Splivalo. Don't silently lose
                       changes if the user refreshes the data or closes the 
                       window.
2006-05-30 DP  1.6.0   Display, and allow null values to be set in boolean
                       columns in the Edit Grid per Hubert Plaschke.
2006-05-26 DP  1.6.0   Add a data dictionary report for tables.
2006-05-24 DP  1.6.0   Don't enable the OK button on the Grant Wizard until
                       there is something to do, per Dave Minter.
2006-05-24 DP  1.6.0   Use PQresultErrorField() to get more error details
                       from query results. Requires libpq 7.4+.
2006-05-23 DP  1.6.0   Highlight the error word in the query tool if a syntax
                       error is reported by the database.
2006-05-23 DP  1.6.0   Add a guru hint to advise users to use the CREATE script
                       tool to edit function/view code in the Query Tool.
2006-05-22 DP  1.6.0   Display the current character number in the query tool
                       status bar.
2006-05-22 DP  1.4.3   Allow non-superusers to edit roles where appropriate
                       [Thomas Sondag]
2006-05-22 DP  1.6.0   Add options to show line ends and whitespaces in the
                       query tool.
2006-05-17 DP  1.4.3   Allow non-superuser roles with the appropriate 
                       permissions to create roles and DBs.
2006-05-15 DP  1.4.3   Fix a bug in the pgpass save code that could
                       damage files.
2006-05-15 DP  1.6.0   Add a word wrap option to the query tool editor.
2006-05-15 DP  1.6.0   Add brace highlighting to the SQL Text Box control.
2006-05-15 DP  1.6.0   Don't save the position/size when closing minimised
                       Windows as the size values will be wrong on some OSs.
2006-05-15 DP  1.6.0   Add a Copy menu option to the main form to copy from the
                       SQL pane.
2006-05-15 DP  1.6.0   Detect and warn the user of concurrent edits of
                       functions, views and job steps.
2006-05-12 DP  1.6.0   Allow the user to choose whether or not to restore the
                       environment when reconnecting to a particular server.
2006-05-10 DP  1.6.0   Allow pasting of entire rows in the View Data tool
                       [Edward Di Geronimo Jr]
2006-05-10 DP  1.6.0   Use escape string syntax (E'foo') where required.
2006-05-09 DP  1.6.0   Update the Windows build environment for VC++ 8.0 (now
                       free from http://msdn.microsoft.com/vstudio/express/)
2006-05-05 DP  1.6.0   Add an internal XML reporting API, HTML XSL stylesheet
                       with XSLT processing capabilities and selection of
                       schema/object/data reports.
2006-05-03 DP  1.6.0   Add support for PostgreSQL 8.2's CONNECT privilege on
                       databases, and USAGE on sequences (which also have a
                       reduced set of privileges now).
2006-05-03 DP  1.4.3   Use the correct encoding in the View Data filter options
                       per Ferenc.
2006-04-30 DP  1.6.0   Pre-encrypt passwords before sending them down the wire,
                       or displaying them in SQL statements.
2006-04-30 AP  1.6.0   Fix Explain issue with multiple lines [Miha Radej]
2006-04-30 AP  1.6.0   Scripting for view SELECT/INSERT/UPDATE
2006-04-30 AP  1.6.0   Scripting for table SELECT/INSERT/UPDATE
2006-04-30 AP  1.6.0   cleanup submenu handling to avoid touching events.cpp
                       when menus are added
2006-04-30 AP  1.6.0   Use virtual ListView for Query Tool, so no more retrieval
                       time
2006-04-28 DP  1.4.3   Ensure the user is warned if files cannot be written.
2006-04-27 DP  1.6.0   Add an accelerator key (Delete) for deleting rows in the
                       edit grid, per Emil Nowak.
2006-04-21 DP  1.6.0   (pgAgent) Replace the batch job execution code for
                       Windows with a custom popen equivalent based on
                       CreateProcess(). This is needed on Win2K on which
                       _popen() will not work from a service.
2006-04-12 DP  1.6.0   Allow the tab character to be used as the clipboard
                       column separator to allow pasting of query results
                       straight into apps like Excel, or OOo Calc [Edward Di
                       Geronimo Jr.]
2006-04-06 DP  1.6.0   Add a --disable-docs configure option to prevent the
                       installation of docs [Miha Radej]
2006-03-20 DP  1.6.0   Refactor Edit Grid and Query Grid into one common base
                       class for the control. Use the in-built wxTable for
                       further a performance boost [Edward Di Geronimo Jr.]
2006-03-20 DP  1.4.3   Install PkgInfo into the Contents directory in the OSX
                       appbundle, per John DeSoi.
2006-03-20 DP  1.4.3   Detect and correctly use GNU vs. BSD xargs when
                       completing an appbundle install, per John DeSoi.
2006-02-27 DP  1.6.0   Don't double-link to libssl/libcrypto [Loic Minier]
2006-02-27 DP  1.6.0   Enhance the query tool to allow copy/paste of arbitrary
                       groups of columns, rows or individual cells.
                       [Edward Di Geronimo Jr]
2006-02-27 DP  1.6.0   Change '<localpipe>' to 'local socket' [Peter Eisentraut]
2006-02-22 DP  1.6.0   Tidy up dlgServer, per Peter Eisentraut.
2006-02-22 DP  1.6.0   Split src/Makefile.am into one fragment per sub directory
                       for ease of maintenance.
2006-02-22 DP  1.6.0   Allow the admin modules to be built with PGXS if required
                       [August Zajonc]
2006-02-21 MH  1.6.0   Reject invalid command line options in pgAgent
2006-02-21 MH  1.6.0   Minimal linking for pgAgent under *nix
2006-02-21 DP  1.4.2   Fix a typo in the admin pack README [August Zajonc]
2006-02-19 AP  1.4.2   Fix serial column detection for 8.1 per Kris Jurka
2006-02-19 AP  1.6.0   Display column dependencies
2006-02-19 AP  1.6.0   Rearrange "view data" position in toolbar/menu
2006-02-17 DP  1.4.2   Mask the password when logging the connection string.
2006-02-17 DP  1.4.2   Properly escape single quotes in connection strings.
2006-02-08 DP  1.4.2   Re-arrange the Win32 dependencies so that iconv, libxml2
                       and wxwidgets are located in $PGADIR/../pgadmin3-deps/
2006-02-08 MH  1.6.0   Add a 'Favourites' query organiser to the Query Tool.
                       Note; this adds a dependecy on libxml2 (and iconv).
2006-02-06 DP  1.4.2   Properly enable the redo button in the Query Tool when
                       appropriate, per PromoTrade
2006-02-06 DP  1.6.0   Allow selection and copy of subsets of the columns and 
                       rows in the Edit Grid [Edward Di Geronimo Jr]
2006-02-06 DP  1.6.0   Cleanup if the query tool leaves a transaction in an 
                       error state when the query ends.
2006-01-30 AP  1.6.0   Fix inherited columns (don't create/edit them) per Peter
                       Eisentraut.
2006-01-30 MH  1.6.0   Add autocompletion to the Query Tool, based on the logic
                       used by psql. Triggered with Control+Space, and 
                       optionally the Tab key as well.
2006-01-30 DP  1.4.2   Add missing files to the Unix tarball, per Andrus
                       xtra/wxbuild/*, src/utils/precomp.cpp, 
                       src/main/pgAdmin3.rc
2006-01-27 DP  1.6.0   Allow the number of rows shown in the Edit Grid to be 
                       limited and add a 'View top 100 rows' option to the
                       table/view context menus. [Magnus Hagander, Dave Page]
2006-01-25 DP  1.6.0   Prevent deletion of the blank item in config editors, and
                       ensure undo will only work on the appropriate line.
2006-01-25 MH  1.6.0   Add a password file editor,
2006-01-23 MH  1.4.2   Read config files in the local encoding scheme
2006-01-22 DP  1.6.0   Rename text docs to match GNUish standards, remove all
                       HTML markup and wrap at col 80.
2006-01-19 DP  1.6.0   Fix capitalisation of menu items. Add '...' to the end of
                       items that open dialogues [Peter Eisentraut]
2006-01-19 MH  1.6.0   Display the client start time on the status dialogue with
                       PostgreSQL 8.1+
2006-01-17 DP  1.6.0   Allow set returning functions to be created.
2006-01-17 DP  1.4.2   Display the definition of set returning procedures 
                       correctly.
2006-01-17 DP  1.4.2   Fix drop procedure by including IN/OUT parameter flags in 
                       the name.
2006-01-13 DP  1.4.2   Fix role SQL - correctly define CREATEROLE/NOCREATEROLE 
                       per Andrus.
2006-01-11 MH  1.6.0   Allow result copy quoting configuration to be set
                       explicitly rather than using the result export settings 
2006-01-09 MH  1.6.0   Add -a and -q command line options to auto connect to a 
                       server and open a query window respectively
2006-01-09 MH  1.4.2   Honour the copy quoting setting properly in the SQL 
                       results pane
2006-01-09 MH  1.6.0   Use Ctrl-A to select all results in the query results 
                       pane.
2006-01-09 MH  1.4.2   Set the initial Unicode/Local charset options correctly 
                       in the Export dialogue
2005-12-26 AP  1.4.2   Fix PK detection in EditGrid per Andrus Moor
2005-12-26 AP  1.4.2   Fix Bitmap Index explain per Alexander Kirpa
2005-12-23 DP  1.4.2   Use ELSIF not ELSEIF in pgagent.sql for compatibility 
                       with 7.x servers [Glen Sasek]
2005-12-22 HS  1.6.0   dlgLanguage name+comment, dlgDatabase comment
2005-12-15 DP  1.4.2   Exclude system schemas by name rather than OID, so that 
                       'public' can be safely renamed.
2005-12-12 AP  1.4.2   fix slony node statistics
2005-12-11 AP  1.6.0   support 8.1 language templates
2005-12-11 AP  1.4.2   Fix: Unsubscribe set on receiver
2005-12-11 AP  1.4.2   Another wxComboBox(2.6.2) related fix
2005-12-09 DP  1.4.1   Default the encoding of new databases to the cluster 
                       encoding, per Peter Eisentraut.
2005-12-09 DP  1.4.1   Sort encoding names in dlgDatabase, per Peter Eisentraut.
2005-12-06 AP  1.4.1   store UTF8 connect info in pgpass.conf if necessary
2005-12-03 AP  1.4.1   Major fix for wx2.6.2 API changes (comboboxes)
2005-12-02 DP  1.4.1   Drop constraints on columns before the columns themselves
                       [Miha Radej]
2005-12-01 AP  1.4.1   Deal with incompatible wx2.6.2 API changes (comboboxes)
2005-11-30 AP  1.4.1   Graphical explain: distinct scan images
2005-11-25 DP  1.4.1   Fix the server status SQL query
2005-11-25 FGP 1.4.1   Don't include pgAgent in the Mac OSX bundle
2005-11-25 FGP 1.4.1   Include pg_dump/pg_restore in the Mac OSX bundle
2005-11-20 DP  1.4.1   Use a proper 'Save As' style dialogue for selecting 
                       backup files
2005-11-20 AP  1.4.1   Don't show pk hint when editing view
2005-11-20 AP  1.4.1   Add missing NO ACTION FK constraint
2005-11-11 DP  1.6.0   Set version numbers whereever required from version.h 
                       during bootstrap
2005-11-11 AP  1.6.0   leave pre-1.5 server config settings untouched
2005-11-10 AP  1.6.0   Configurable indent in ctlSqlBox
2005-11-10 DP  1.6.0   Ensure we always use aclocal/automake 1.9 during bootstrap
2005-11-10 AP  1.4.1   Fix role rename per Antonio
2005-11-09 AP  1.6.0   database and schema display restriction
2005-11-09 AP  1.6.0   overhaul of server config settings
2005-11-09 AP  1.4.1   fix procedure/triggerFunc collection list
2005-11-09 AP  1.4.1   Allow all 8.x column changes per Chris Velevitch
2005-11-09 AP  1.4.1   Fix param name quoting for procedures per Alex Tyagloff
2005-11-10 DP  1.6.0   Overhaul the autoconf stuff. Make full use of
                       pg_config/wx-config.
2005-11-04 AP  1.4.0   Fix SET role per Florian Pflug, fix role help
2005-11-04 DP  1.4.0   Fix role inheritance option when creating roles, per Mike
                       Allen
2005-11-03 DP  1.4.0   Minor fix to the pgAgent command line parser, per Harald 
                       Armin Massa
2005-11-03 DP  1.4.0   Honour type length/precision when creating composite types
                       per Ivan
2005-11-02 AP  1.4.0   Fix crash in trigger property per Oriza Triznyak
2005-11-01 AP  1.4.0   Fix function return type array per Andras Voros
2005-11-01 AP  1.4.0   Fix query tool connect annoyance per Florian Pflug
2005-10-31 DP  1.4.0   Fix eventlog output in pgAgent, per Paolo Saudin
2005-10-31 DP  1.4.0   Quote member names in compsoite types, per Ivan
2005-10-31 DP  1.4.0   Enable the precision textbox when adding numeric members 
                       to composite types, per Ivan
2005-10-30 DP  1.4.0   Display line numbers in the query tool to aid function 
                       debugging/editting 
2005-10-30 DP  1.4.0   Don't enable the OK button when setting the ACL for 
                       as-yet-uncreated objects
2005-10-27 DP  1.4.0   Reverse dialog OK/Cancel buttons for UI consistency on 
                       OS X per John DeSoi
2005-10-27 DP  1.4.0   Append the .sql file extension when saving files as type 
                       sql on OS X, per Florian G. Pflug
2005-10-24 DP  1.4.0   Prevent attempts to backup or restore if pg_dump or
                       pg_restore cannot be found.
2005-10-23 AP  1.4.0   Fix crash when extracting schema from slony cluster
2005-10-22 AP  1.4.0   Fix New.. context menu
2005-10-21 AP  1.4.0   Fix Create a.. toolbar button on collection per Li Fei
2005-10-20 AP  1.4.0   Fix Maintenance crash of disconnected DBs per 
                       A.J.Langereis
2005-10-20 AP  1.4.0   Fix Unicode/pgsql80win32 hint per Oryza Triznyak
2005-10-20 DP  1.4.0   Ensure the user can cancel the maintenance dialogue when
                       it is running.
2005-10-20 DP  1.4.0   Fix the recent files list on the config file editor. per
                       Miha Radej
2005-10-18 DP  1.4.0   Correct font size on Splash and About forms on Mac.
2005-10-18 AP  1.4.0   Prevent refresh of the servers treeview node
2005-10-18 DP  1.4.0   Fix the autoconf code to ensure the debug and static 
                       options do what they should, and that a unicode wx build
                       is used 
2005-10-18 DP  1.4.0   Ensure strings can be editted in the data grid on Mac.
2005-10-14 DP  1.4.0   Prevent errors in the logger causing crashes
2005-10-14 DP  1.4.0   Use a sensible default location for the logfile
2005-10-12 AP  1.4.0   Fix 'ambiguous proname column' bug for servers < 8.0
2005-10-12 AP  1.4.0   Fix count crash on tables per Merlin Moncure
2005-10-12 AP  1.4.0   Fix slony detection on tables for pgsql7.x
2005-10-08 AP  1.4.0   Fix "New" context menu crash on disconnected server per 
                       Tomasz Rybak
2005-10-08 AP  1.4.0   Check for catalog access privilege in pg_authid and 
                       pg_depend per Christopher St.John
2005-10-04 AP  1.4.0   -t cmd line option to enable language debugging
2005-10-03 AP  1.4.0   pg_autovacuum support
2005-10-03 AP  1.4.0   upgrade slony node
2005-09-17 AP  1.4.0   Allow Query Tool to use multiple connections
2005-09-04 AP  1.4.0   use ddlscript to replicate schema changes
2005-09-04 AP  1.4.0   table reverse engineering sql changes
2005-09-04 AP  1.4.0   role fixes
2005-09-04 AP  1.4.0   more guru hints
2005-09-03 DP  1.4.0   new splash screen
2005-08-23 AP  1.4.0   shared dependencies
2005-08-21 AP  1.4.0   Roles
2005-08-21 AP  1.4.0   smaller icons for win32
2005-08-11 DP  1.4.0   New set of icons, custom designed by Niko [ennixo at 
                       free.fr]
2005-08-11 AP  1.4.0   pgServerObjCollection per Eugene Shekhtman
2005-08-08 AP  1.4.0   Refactoring object and tool handling using class factories
                       to make extensions easier
2005-08-02 AP  1.4.0   Support for pgsql 8.1 prepared transactions
2005-08-01 AP  1.4.0   Store passwords in .pgpass/pgpass.conf
2005-08-01 AP  1.4.0   Allow server registration without connect
2005-07-21 DP  1.4.0   Prompt the user before removing columns, constraints or 
                       inherited tables in the table dialogue.
2005-07-06 DP  1.4.0   Prompt the user to cancel running queries before closing 
                       the Query tool.
2005-07-04 DP  1.4.0   Check for and display asynchronous notifications in the 
                       query tool.
2005-06-21 AP  1.4.0   typo fixes, rename "initial db" to "maintenance db"
2005-06-19 AP  1.4.0   pgAgent moved under server, some more fixes
2005-06-19 AP  1.4.0   further translation issues
2005-06-17 AP  1.4.0   reduce translation nightmare
2005-06-17 AP  1.4.0   use wxDatePickCtrl for wxCalendarBox
2005-06-17 AP  1.2.3   Fix changing initial db
2005-06-09 DP  1.4.0   Flash the task bar icon at the user if a query finishes 
                       and the query window is not active.
2005-06-09 AP  1.4.0   Different icons for own and foreign slony sets and 
                       subscriptions
2005-06-09 DP  1.2.3   Fix disable triggers option for data only plain text 
                       backups per Howard Cole.
2005-06-03 AP  1.4.0   Support for pgsql 8.1 aggregate sortop
2005-06-03 AP  1.4.0   Support for pgsql 8.1 pg_stat_activity
2005-06-03 AP  1.4.0   Support for pgsql 8.1 instrumentation
2005-06-01 AP  1.4.0   Support for Procedures aka functions "with out-parameters"
2005-06-01 AP  1.4.0   Support for EDB8.0
2005-05-31 DP  1.2.3   Fix domain RE SQL, per Ivan
2005-05-31 DP  1.2.3   Add missing ; to RE SQL, per Ivan
2005-05-27 DP  1.4.0   New WiX based installer for Win32
2005-05-25 DP  1.4.0   Cleanup doc location code for internal consistency
2005-05-25 DP  1.4.0   Reorganise doc index, cleanup inappropriate/old docs and 
                       improve admin pack documentation
2005-05-24 DP  1.4.0   Add pgAgent service/daemon, pgAdmin control interface and 
                       documentation
2005-05-10 HS  1.2.2   Display comments on contraints properly
2005-05-08 DP  1.4.0   Major source code reshuffle
2005-05-08 DP  1.4.0   Overhaul *nix automake build system
2005-03-25 DP  1.4.0   Mac OSX support [Florian G. Pflug]
2005-04-22 AP  1.4.0   more Hint enhancements
2005-04-19 AP  1.4.0   Hint enhancements
2005-04-18 AP  1.4.0   Unix Domain Socket additional stuff
2005-04-18 AP  1.4.0   switch to wxWidgets 2.6
2005-04-15 DP  1.4.0   Unix Domain Socket support as inspired by Dominique 
                       Quatravaux
2005-04-07 AP  1.4.0   VACUUM hint
2005-04-04 AP  1.4.0   Control dependent win32 services
2005-04-01 AP  1.4.0   Speed up of column property retrieval
2005-04-01 DP  1.2.2   Fix changing of view ownership
2005-03-28 AP  1.4.0   FK MATCH FULL
2005-03-28 AP  1.4.0   Option: User defined system schemas
2005-03-27 AP  1.4.0   Guru hint for server connections
2005-03-25 DP  1.2.1   Correctly identify primary key columns in properties pane.
2005-03-18 DP  1.2.1   Set column stats and comments correctly when creating 
                       tables.
2005-03-18 DP  1.2.1   Include the hostname in the connect string for Kerberos 
                       support, per Magnus Hagander
2005-03-15 FGP 1.4.0   Fix for non-SSL enabled libpq builds
2005-03-15 HS  1.4.0   Mask the password on the main tab of the user properties 
                       dialogue
2005-03-13 AP  1.4.0   Change plain backup file default extension to .sql
2005-03-13 AP  1.4.0   Add CASCADE dropping
2005-03-04 DP  1.2.1   Fix aggregate SQL generation per James Prichard
2005-03-03 AP  1.4.0   graphical EXPLAIN
2005-03-03 AP  1.4.0   pgAgent fixes (jobId)
2005-03-02 DP  1.4.0   Rewrite pgAgent browser code to use pgCollection
2005-02-25 AP  1.4.0   some more Slony-I stuff
2005-02-24 AP  1.4.0   some Slony-I stuff
2005-02-24 AP  1.2.1   require unicode to compile utffile.cpp
2005-02-23 AP  1.4.0   Slony-1 statistics
2005-02-14 AP  1.2.1   TreeSelChange fixes (menu/statistics/dependency refresh)
2005-02-14 AP  1.4.0   wx2.5.4 preparation
2005-02-13 AP  1.4.0   Slony admin node, join cluster using pg_dump
2005-02-13 AP  1.2.1   Make sure IsAlive check isn't affected by dead 
                       transactions
2005-02-13 AP  1.2.1   Fix missing schema prefix for casts
2005-02-11 AP  1.4.0   Slony-I support
2005-02-09 AP  1.2.1   fix trigger reengineering name quoting per Lucas Galfaso
2005-02-07 AP  1.2.1   remove tablespace for sequences
2005-02-07 AHP 1.2.1   fix libpq/ssl library detection
2005-01-14 AP  1.2.1   table statistics including TOAST and indexes
2005-01-14 AP  1.2.1   fix adding sequence columns
2005-01-14 AP  1.2.1   fix Grant Wizard for functions per Robert Köpferl
2005-01-14 AP  1.2.1   fix reengineered DOMAIN with CHECK per Robert Köpferl
2005-01-13 DP  1.2.1   fix EXPLICIT CAST sql generation per Merlin Moncure
2005-01-07 AP  1.2.1   fix closing QueryTool if FindDlg still open per 
                       Maximiliano Di Rienzo
2005-01-07 AP  1.2.1   fix quoting identifiers starting with numbers per 
                       Alexander Borkowski
2005-01-04 AP  1.2.1   fix typo in pgDomain per Pascal Pochet
2004-12-16 AP  1.2.1   fix server menu after failed connect
2004-12-15 AP  1.4.0   Fix changing pg_hba.conf
2004-12-10 AP  1.2.1   Fix missing drop confirmation per Cheetah
2004-12-06 AP  1.2.1   Fix tablespace reference in namespace
2004-11-19 AP  1.2.0   catch possible false error msg
2004-11-19 AP  1.2.0   fix tables statistics
2004-11-18 AP  1.2.0   fix change column dialog per Walter Haslbeck
2004-11-18 AP  1.2.0   fix missing schema in EditGrid per Martin Susil
2004-11-16 AP  1.2.0   fix pg_dump option
2004-11-10 AP  1.2.0   Remove tablespace from schema (pgsql post-beta4 change)
2004-11-10 AP  1.2.0   Fix properties for multiply inherited tables per Riccardo 
                       G. Facchini
2004-11-10 AP  1.2.0   Fix OSX issue per Patrick Hatcher
2004-11-09 AP  1.2.0   Fix remembering SSL connection parameter per Justin Clift
2004-11-09 AP  1.2.0   Fix GTK comboboxes per Tim Booth
2004-11-05 AP  1.2.0   Disable changing parameters of connected servers
2004-11-04 AP  1.2.0   Fix duplicate functions in Cast dialog per Alexander 
                       Borkowski
2004-11-03 AP  1.2.0   MSW Combobox Workaround: missing EVT_TEXT events
2004-11-02 AP  1.2.0   Fix some type related issues per Alexander Borkowski
2004-11-02 AP  1.2.0   Fix some owner change related issues per Alexander 
                       Borkowski
2004-10-29 AP  1.2.0   full casting in utffile fixing some compilers
2004-10-27 AP  1.2.0   Workaround for wxGrid bug not returning selected rows
2004-10-27 AP  1.2.0   Fix user/group selection in privileges per Walter 
                       Haslbeck, Gary Doades
2004-10-27 AP  1.2.0   Fix refresh when dropping single object from collection 
                       listview
2004-10-26 AP  1.2.0   fix $$ translation problem per Miha Radej
2004-10-22 AP  1.2.0   fix Edit Tool to store data when selecting a row per 
                       Virgil Frum
2004-10-22 AP  1.2.0   fix Query Tool which marked text as changed when scrolling
                       per Gary Doades
2004-10-22 AP  1.2.0   Workaround for wxMSW-2.5.3 malfunctioning combobox per 
                       Gary Doades
2004-10-22 AP  1.2.0   fix Query Tool recent menu per Gary Doades
2004-10-22 AP  1.2.0   fix column type change sql per Ben Trewern
2004-10-21 AP  1.2.0   fix SET DEFAULT FK restriction per Ferenc from Hungary
2004-10-21 AP  1.2.0   refresh fixes when modifying object from collection list
2004-10-21 AP  1.2.0   sequence fixes
2004-10-16 AP  1.2.0   use wxWidgets 2.5.3
2004-10-15 AP  1.2.0   change unsigned conversion for oids per Richard van den 
                       Berg, Patrick Hatcher
2004-10-14 AP  1.2.0   Prevent StatusBar from being overwritten by Toolbar per 
                       Virgil Frum
2004-10-13 AP  1.2.0   Connect to databases with special names per Frank Lupo
2004-10-08 AP  1.2.0   review object owner code regarding pgsql versions
2004-10-08 AP  1.2.0   remove maximize button on MSW
2004-10-07 AP  1.2.0   Fix new server ssl option duplication on connect failure 
                       per Alexander Borkowski
2004-10-06 AP  1.2.0   Fix cast property crash per Alexander Borkowski
2004-10-05 AP  1.2.0   Use PostgreSQL's list of keywords for syntax highlighting
2004-10-05 AP  1.2.0   Fix adding columns with constraints using table properties 
                       on 7.3 and 7.4 per teknokrat, Virgil Frum
2004-10-05 DP  1.2.0   Drop rows correctly when selected in reverse in the edit 
                       grid. Also, confirm drop first. per Virgil Frum
2004-09-27 DP  1.2.0   Dynamically link libpq/OpenSSL for sensible installation 
                       with Win32 PostgreSQL
2004-09-18 DP  1.2.0   Prevent dropped servers reappearing after View System 
                       Objects change.
2004-09-17 AP  1.2.0   GRANT for functions in reengineered SQL window
2004-09-17 AP  1.2.0   Fix Database creation for 7.3/7.4 per Jona
2004-09-16 AP  1.2.0   resources: use wxID_xxx IDs to enable GTK wxStockButtons
2004-09-16 AP  1.2.0   resources: use 12d height for comboboxes (GTK positioning 
                       issue)
2004-09-16 AP  1.2.0   rewrite of properties actions
2004-09-16 DP  1.2.0   mask passwords on dlgServer [Ivan Nejgebauer]
2004-09-15 DP  1.2.0   fix function return type quoting
2004-09-10 AP  1.2.0   fix GrantWizard for sequence and view
2004-09-10 AP  1.2.0   fix type quoting
2004-09-08 AP  1.2.0   fix OnAdd server property positioning
2004-09-05 AP  1.2.0   performance speedup retrieving server features
2004-09-05 AP  1.2.0   qtIdent checks keywords
2004-08-29 AP  1.2.0   Sequence schema fix
2004-08-25 DAP 1.2.0   Prevent crash when non-superuser views database 
                       properties.
2004-08-18 AP  1.2.0   set PGPASSWORD environment for backup/restore
2004-08-18 AP  1.2.0   fix ACL for quoted user/group names
2004-08-15 AP  1.2.0   buglet cleanups
2004-08-11 AP  1.2.0   restore wizard
2004-08-11 AP  1.2.0   rework of ctlComboBox
2004-08-09 AP  1.2.0   server property
2004-08-05 AP  1.2.0   win32 service control
2004-08-05 AP  1.2.0   refactor tree context menu: create instead of en/disable 
                       items
2004-08-02 DP  1.2.0   Auto-discover locally installed servers when registered by
                       the Win32 binary installer.
2004-07-30 AP  1.2.0   Tablespace usage fix for objects using the database's 
                       default tablespace
2004-07-27 AP  1.2.0   Reworked schema prefixing
2004-07-25 AP  1.2.0   support of pg_xxx_size if available
2004-07-21 AP  1.2.0   Improved disconnect handling
2004-07-21 AP  1.2.0   StatusBar with size handle for frmStatus, dlgFunction and
                       dlgView
2004-07-21 AP  1.2.0   Update ServerStatus to pg_logdir_ls
2004-07-21 AP  1.2.0   catch SIGPIPE
2004-07-20 AP  1.2.0   owner, name, comment refactoring in dlgProperty
2004-07-20 AP  1.2.0   support of function parameters
2004-07-20 AP  1.2.0   tablespace changes
2004-07-19 AP  1.2.0   fix dependency display for tablespaces and users
2004-07-18 AP  1.2.0   Update ServerStatus to pg_logfiles_ls and 
                       pg_file_read/pg_file_length
2004-07-18 AP  1.2.0   Allow change of some function attributes
2004-07-12 AP  1.2.0   Fix check constraint in table reengineering
2004-07-11 AP  1.2.0   Fix combobox size/position issue on gtk
2004-07-11 AP  1.2.0   Fix button height issue with modern gtk themes
2004-06-30 AP  1.2.0   Tablespace ACLs
2004-06-23 DP  1.2.0   Split Windows installer into a merge module and installer
                       to allow inclusion in other packages.
2004-06-23 DP  1.2.0   Allow cancelling of queries and termination of backends 
                       from server status dialogue for 8.0+.
2004-06-20 AP  1.2.0   backup database using pg_dump
2004-06-19 AP  1.2.0   Tablespace dependencies
2004-06-19 AP  1.2.0   combobox guessing cleanups
2004-06-18 AP  1.2.0   8.0 Tablespace
2004-06-18 AP  1.2.0   Count menu instead of refresh to count rows in a table
2004-06-18 AP  1.2.0   CLUSTERed index support for PostgreSQL 7.4 - ALTER TABLE 
                       foo CLUSTER ON blah;
2004-06-17 AP  1.2.0   copy rows to clipboard from Query Tool and View Data Tool
2004-06-16 AP  1.2.0   allow omitting server disconnect when switching "Show 
                       System Objects"
2004-06-16 AP  1.2.0   guess combobox selection while typing
2004-06-13 AP  1.2.0   fix "no schema" bug when database is initial database
2004-06-11 AP  1.2.0   Apply for some function and view property dialogs
2004-06-11 AP  1.2.0   Display server log
2004-06-08 AP  1.2.0   Allow Server Status & Maintenance windows to be resized 
                       to allow easy reading of data
2004-06-07 AP  1.2.0   changed connection loss handling
2004-06-07 AP  1.2.0   fix storing of existing files (didn't truncate)
2004-06-06 AP  1.2.0   GRANT wizard
2004-06-06 AP  1.2.0   ALTER AGGREGATE/FUNCTION/GROUP/LANGUAGE/SCHEMA/TRIGGER
                       /USER RENAME TO for 7.4+
2004-06-04 AP  1.2.0   SQL Window: Try to preserve result column width
2004-06-04 AP  1.2.0   8.0 support: comment on cast/conversion/language
2004-06-04 AP  1.2.0   checks on column type changes
2004-05-28 AP  1.2.0   handle lost connections safely
2004-05-28 AP  1.2.0   fix server status not cleaning old connections
2004-05-28 AP  1.2.0   line numbers in function definition property dialog
2004-05-26 AP  1.2.0   warn when deleting superuser privilege
2004-05-10 DP  1.2.0   Generate function SQL correctly when the return type needs
                       a schema specification
2004-05-04 DP  1.2.0   Prevent duplication of functional indexes
2004-03-30 AP  1.2.0   no initial language selection (using system default)
2004-03-25 AP  1.2.0   Allow initial selection of language "Default"
2004-03-24 AP  1.2.0   changed font handling to accept exotic weights
2004-03-17 AP  1.2.0   Updated sources for wx 2.5.1
2004-03-17 AP  1.2.0   Added Font Option
2004-03-06 AP  1.2.0   Fixed missing qtIdent for CREATE DATABASE TEMPLATE option
2004-02-23 DP  1.2.0   Correct syntax for constraint comments generated SQL
2004-01-30 DP  1.2.0   Include column comments in generated table SQL
2004-01-13 AP  1.2.0   Fix crash refreshing dropped object
2003-12-28 AP  1.2.0   gtk: fix for dlgForeignKey combobox illegal selection 
2003-12-28 AP  1.2.0   Fix for pgDatabase::database crash
2003-12-10 AP  1.2.0   serial/bigserial datatype for ALTER TABLE; can create new
                       sequence/dependency
2003-12-09 AP  1.2.0   Fix for Tagalog language
2003-12-08 AP  1.2.0   Refactor virtual pgObject::GetDatabase()
2003-12-08 AP  1.2.0   Rewrite of schema qualifier suppression: configurable or 
                       search_path
2003-12-08 DP  1.2.0   Prompt to save changes before opening SQL files.
2003-12-08 AP  1.2.0   Query tool: display of inserted OIDs
2003-12-08 AP  1.2.0   pgAgent schema, changed system schema discovery
2003-12-05 AP  1.2.0   allow all 'p' types except any,trigger,language_handler 
                       as return types for functions
2003-12-03 AP  1.2.0   fix connect to MULE_INTERNAL db
2003-12-02 AP  1.2.0   fix acl property display
2003-12-02 AP  1.2.0   another fix closing Query Tool
2003-12-01 AP  1.2.0   add display of superuser context settings
2003-11-30 AP  1.2.0   handle covering index for Foreign Keys
2003-11-30 AP  1.2.0   fix closing Query Tool while query is running
2003-11-30 AP  1.2.0   fix error message when SET client_encoding fails
2003-11-28 HS  1.2.0   Fix case sensitive keyword highlighting.
2003-11-28 DP  1.0.2   Update PostgreSQL docs to 7.4
2003-11-26 AP  1.0.2   fix notice processing for pgQueryThread
2003-11-24 AP  1.2.0   refactoring stats/depends: populate on demand
2003-11-24 AP  1.2.0   remember property dialog sizes (refactoring syssettings 
                       for pos/size)
2003-11-16 AP  1.2.0   Fix file writing
2003-11-14 DP  1.2.0   Allow creation/display of functions with class data types.
2003-11-11 AP  1.2.0   refactoring: ctlListView
2003-11-11 AP  1.2.0   Show referencing/referenced objects
2003-11-05 AP  1.2.0   File format (won't change existing format)
2003-10-31 AP  1.2.0   Rows affected in query tool
2003-10-31 AP  1.2.0   counting non-constraint FKs for databases
2003-10-26 AP  1.2.0   precompiled headers under msw
2003-10-23 AP  1.0.2   another SQL_ASCII fix
2003-10-23 AP  1.2.0   Fix estimated rowcount
2003-10-20 AP  1.2.0   wxTimeSpinCtrl
2003-10-20 HS  1.2.0   Added support for column statistics.
2003-10-19 AP  1.2.0   Loading of ctlSQLBox from resource
2003-10-19 AP  1.2.0   User expiry
2003-10-18 DP  1.2.0   Allow filtering of data in the edit grid.
2003-10-17 DP  1.2.0   Allow sorting of data in the edit grid.
2003-10-16 AHP 1.2.0   Fix SSL compile bug.
2003-10-14 DP  1.0.1   Update PostgreSQL docs to 7.4Beta4
2003-10-13 AP  1.0.1   Fix ReadOnly security
2003-10-13 AP  1.0.1   Fix encoding when connecting
2003-10-10 AP  1.2.0   Query Tool execute to file
2003-10-07 DP  1.0.1   Set cache value correctly when creating sequences.
2003-10-07 DP  1.2.0   Handle array of definable length types correctly e.g. 
                       numeric(12,8)[].
2003-10-07 DP  1.0.1   Display/use char instead of bpchar.
2003-10-07 AP  1.0.1   Fixed the frogfrog constraint (doubling of names).
2003-10-06 AP  1.2.0   Check if PQfnumber wants quoting or not
2003-10-06 AP  1.0.1   Fix Unique Constraint creation
2003-10-06 AP  1.2.0   Fix DlgUnit sizing, review of XRC files
2003-10-03 DP  1.2.0   When connecting to a new server, if logon fails remember 
                       description as well as other info.
2003-10-03 DP  1.2.0   Added locks tab to server status window.
2003-10-03 DP  1.0.1   Reconnect to databases properly after failed attempt to 
                       drop.
2003-10-01 AP  1.2.0   generic TreeItem renderer for gtk [+] / [-]
2003-10-01 AP  1.0.1   client encoding SQL_ASCII for server SQL_ASCII
2003-10-01 DP  1.0.1   Correctly quote table names when creating indexes.
2003-10-01 AP  1.2.0   fonts determine metrics for dialog resizing
2003-09-30 HS  1.0.1   Display new triggers correctly in the treeview.
2003-09-30 DP  1.0.1   Allow creation of triggers with functions in schemas not 
                       in the search path.
2003-09-28 AP  1.2.0   Statistics translatable
2003-09-26 HS  1.0.0   Handle Primary Key comments correctly.
2003-09-24 AP  1.0.0   rule condition fix
2003-09-26 HS  1.0.0   column quoting when reading pgSet
2003-09-14 AP  1.0.0   document-here support for pgsql8.0
2003-09-12 HS  1.0.0   Display and edit check constraint comments properly.
2003-09-12 HS  1.0.0   Display fkey comments properly.
2003-09-11 JMP 1.0.0   RPM packages now install pgAdmin3 icon.
2003-09-11 JMP 1.0.0   SRPM package should rebuild anywhere.
2003-09-10 AP  1.0.0   correct quoting in dlg Operator, support schema qualified 
                       merge ops.
2003-09-10 AHP 1.0.0   Search for PostgreSQL includes in /usr/include and 
                       /usr/include/pgsql.
2003-09-09 HS  1.0.0   Populate Operator combos properly.
2003-09-09 HS  1.0.0   Retrieve freshly created conversions correctly.
2003-09-09 HS  1.0.0   Correctly quote the ANY keyword in aggregate definitions.
2003-09-09 HS  1.0.0   Fix for casts with created WITHOUT FUNCTION (binary 
                       compatible).
2003-09-09 AP  1.0.0   fix grid for tables with multicolumn pk
2003-09-08 HS  1.0.0   Don't crash when selecting SQL command help when not 
                       connected to a server
2003-09-08 AP  1.0.0   update query tool toolbar after clipboard cut/copy
2003-09-08 AP  1.0.0   fix trigger dialog for multiple events
2003-09-08 AP  1.0.0   export and option dialog partially bigger
2003-09-06 AP  1.0.0   missed some strings for translation
2003-09-03 AP  1.0.0   fixing the grid's edit control 
2003-09-03 AP  1.0.0   enabling menu etc from a collection's properties listview,
                       including a bugfix if the object wasn't expanded and still
                       had a dummy child.
2003-09-02 AP  0.9.3   include public trigger functions
2003-08-29 AP  0.9.3   frmEditGrid: double click on labels resizes column or row
2003-08-28 AP  0.9.3   handle editor scrolling in frmEditGrid
2003-08-28 AP  0.9.3   Fix numeric truncation in frmEditGrid
2003-08-25 AP  0.9.3   SSL support for win32.
2003-08-25 AP  0.9.3   save SSL option under Servers/SSL%d.
2003-08-24 AP  0.9.3   Provide dummy child item to make [+] appear in tree for 
                       table and view.
2003-08-24 AP  0.9.3   proxy option.
2003-08-24 AP  0.9.3   Shift-F10 in tree control for context menu.
2003-08-23 AP  0.9.3   Fixed missing comments and function arguments.
2003-08-21 AP  0.9.3   Using EVT_TEXT for combobox selchange events.
2003-08-21 AP  0.9.3   encoding names read from backend, removed from resource.
2003-08-19 DP  0.9.3   Prevent comments on view columns causing display problems.
2003-08-19 MP  0.9.3   Updated wxWindows-pgAdmin3 to resolve FreeBSD 5.1 locale 
                       search bug.
2003-08-18 DP  0.9.3   Correctly quote primary key name in Edit Grid. Was 
                       preventing viewing of data in some tables.
2003-08-17 AP  0.9.3   added REINDEX, frmVacuum->frmMaintenance.
2003-08-15 AP  0.9.3   added SSL-support.
2003-08-15 AP  0.9.3   Wording: "maintenance" instead of "reorganize".
2003-08-14 DP  0.9.3   Shorten minimum length of rule definition to allow 
                       'NOTHING'.
2003-08-14 DP  0.9.3   Add DROP SQL for rule definitions.
2003-08-13 AP  0.9.3   Added VERSION Resource for win32.
2003-08-11 DP  0.9.3   Use compiled HTML help file for Help on windows.
2003-08-11 AP  0.9.3   Added "Change column" in table property.
2003-08-11 AP  0.9.3   Corrected SQL generation for table property.
2003-08-11 AP  0.9.2   Select current item if right click on tree item.
2003-08-11 AP  0.9.2   Added win32 version resource.
2003-08-11 AP  0.9.2   Corrected missing quoting for FK.
2003-08-08 AP  0.9.2   Allow tables without columns for 7.4
2003-08-08 AP  0.9.2   Support of several new 7.4 features.
2003-08-08 DP  0.9.2   Added missing helpfile images to Win32 Installer.
2003-08-07 AP  0.9.2   help system cleanups, support of CHM help for win32.
2003-08-07 AP  0.9.2   Added missing comment in domain property.
2003-08-06 DP  0.9.2   Bumped version number.
